GNU bug report logs - #51565
PATCH: Update Yggdrasil to new protocol (important breaking changes)

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guix-patches; Reported by: raingloom <raingloom@HIDDEN>; Done: Ricardo Wurmus <rekado@HIDDEN>; Maintainer for guix-patches is guix-patches@HIDDEN.

Message received at 51565-done <at> debbugs.gnu.org:


Received: (at 51565-done) by debbugs.gnu.org; 2 Dec 2021 09:16:31 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Dec 02 04:16:31 2021
Received: from localhost ([127.0.0.1]:46576 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1msiCd-00084x-90
	for submit <at> debbugs.gnu.org; Thu, 02 Dec 2021 04:16:31 -0500
Received: from eggs.gnu.org ([209.51.188.92]:42684)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ludo@HIDDEN>) id 1msiCb-0007zV-Eq
 for 51565-done <at> debbugs.gnu.org; Thu, 02 Dec 2021 04:16:29 -0500
Received: from [2001:470:142:3::e] (port=35992 helo=fencepost.gnu.org)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <ludo@HIDDEN>)
 id 1msiCW-0005mD-61; Thu, 02 Dec 2021 04:16:24 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnu.org;
 s=fencepost-gnu-org; h=MIME-Version:In-Reply-To:Date:References:Subject:To:
 From; bh=JSqr9TuFLQXYR1PSHMwtV7S0kYwFe7C5tTxC4p2XggI=; b=J6jbUz7ztUaNP0IMvz5W
 GeTD8E83y78Clv77QVCaaWEzrcA3qToKIUBXiVRxfVSrDqQ2NbcUK5q/zmmx+q2pKDe+Ml4s54QUs
 dSYQAoCHDZyLFeMd/gNbTcHQJiSocu6PVvOikBDp+p1hiQ5IYovUKG0D+dB1vgHwYowxcXTxigQqi
 og3FaEXO3DV0aPza+RQ73+5g2149kOb50HEXhoaf9TEpokxqzJWvpCzMJ4HiNL5W27lUYB9AZSU7P
 mW5nm4Z5CQpZ/cH+Bgyqrr6G4F5nrx1zV9ubkOIraVuxqAPK3Mx/guV9Ul+5nS1jZ7/4Mh6OJJkbC
 EE/XJnAddkjVKQ==;
Received: from [193.50.110.120] (port=54118 helo=ribbon)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <ludo@HIDDEN>)
 id 1msiCW-0004GX-1G; Thu, 02 Dec 2021 04:16:24 -0500
From: =?utf-8?Q?Ludovic_Court=C3=A8s?= <ludo@HIDDEN>
To: Ricardo Wurmus <rekado@HIDDEN>
Subject: Re: PATCH: Update Yggdrasil to new protocol (important breaking
 changes)
References: <877dcos3zj.fsf@HIDDEN>
X-URL: http://www.fdn.fr/~lcourtes/
X-Revolutionary-Date: 12 Frimaire an 230 de la =?utf-8?Q?R=C3=A9volution?=
X-PGP-Key-ID: 0x090B11993D9AEBB5
X-PGP-Key: http://www.fdn.fr/~lcourtes/ludovic.asc
X-PGP-Fingerprint: 3CE4 6455 8A84 FDC6 9DB4  0CFB 090B 1199 3D9A EBB5
X-OS: x86_64-pc-linux-gnu
Date: Thu, 02 Dec 2021 10:16:22 +0100
In-Reply-To: <877dcos3zj.fsf@HIDDEN> (Ricardo Wurmus's message of "Wed,
 01 Dec 2021 17:04:33 +0100")
Message-ID: <87y253wemx.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.2 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 51565-done
Cc: 51565-done <at> debbugs.gnu.org, raingloom@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Hi,

Ricardo Wurmus <rekado@HIDDEN> skribis:

> Ludo=E2=80=99s review overlapped my review.  I=E2=80=99ve already made al=
l the changes
> that Ludo requested.
>
> + changed the descriptions
> + recorded all changes in the commit
> + added a deprecated-package in the rename commit
> + fixed indentation
>
> Commit d9956e938343c7637647ad10b977fdb0f3b8b138 updates yggdrasil to
> 0.4.1.

Ah wonderful, thank you!

Ludo=E2=80=99.




Information forwarded to guix-patches@HIDDEN:
bug#51565; Package guix-patches. Full text available.

Message received at 51565 <at> debbugs.gnu.org:


Received: (at 51565) by debbugs.gnu.org; 2 Dec 2021 09:16:16 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Dec 02 04:16:16 2021
Received: from localhost ([127.0.0.1]:46572 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1msiCI-0007oK-6E
	for submit <at> debbugs.gnu.org; Thu, 02 Dec 2021 04:16:16 -0500
Received: from eggs.gnu.org ([209.51.188.92]:42550)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ludo@HIDDEN>) id 1msiCE-0007gH-Mc
 for 51565 <at> debbugs.gnu.org; Thu, 02 Dec 2021 04:16:08 -0500
Received: from [2001:470:142:3::e] (port=35946 helo=fencepost.gnu.org)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <ludo@HIDDEN>)
 id 1msiC9-0005UT-G8; Thu, 02 Dec 2021 04:16:01 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnu.org;
 s=fencepost-gnu-org; h=MIME-Version:In-Reply-To:Date:References:Subject:To:
 From; bh=1m6mmaqOcR7zEVHzWN1YzZICIL2FHfB0sXSa6FL6ElU=; b=A9KeAiMBKuYFY50EJZPG
 weKHAkTX7JIzHJCJrLHFXzklvtxW130R/uo3oXJ/m3CldzzPCMJg8sCdHcTGrJ3eYTZ1cpFDtah6r
 BfVF5jYYRbcg7Qt+s/KXcH3HDNly4k6Yt/VhqMWFrgySMHDqM+f4ofyagj9qoapYPaz4oKskAVkUv
 TfXH9JJQ1ttC6bynRzQjIBl3KtkM9Zu9S8XfhlwT0abD3/am7HEc2Ub31eFS7kfy4ouLlGx2aiFJM
 4i/ELeAOyAs7V4Nq8zVpkm264vTvZmF1Q8pR64pjMXmaHTLcDtq17Dq0PKEJ6iGUj03VVC7vr++wO
 i2saStCdYdbQew==;
Received: from [193.50.110.120] (port=54116 helo=ribbon)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <ludo@HIDDEN>)
 id 1msiC9-0003fK-Ar; Thu, 02 Dec 2021 04:16:01 -0500
From: =?utf-8?Q?Ludovic_Court=C3=A8s?= <ludo@HIDDEN>
To: raingloom <raingloom@HIDDEN>
Subject: Re: bug#51565: PATCH: Update Yggdrasil to new protocol (important
 breaking changes)
References: <20211102065917.082a2e55@HIDDEN> <86wnl9lcj3.fsf@HIDDEN>
 <20211122221308.685c9f11@HIDDEN> <87fsrc2vms.fsf_-_@HIDDEN>
 <20211201170310.00164259@HIDDEN>
X-URL: http://www.fdn.fr/~lcourtes/
X-Revolutionary-Date: 12 Frimaire an 230 de la =?utf-8?Q?R=C3=A9volution?=
X-PGP-Key-ID: 0x090B11993D9AEBB5
X-PGP-Key: http://www.fdn.fr/~lcourtes/ludovic.asc
X-PGP-Fingerprint: 3CE4 6455 8A84 FDC6 9DB4  0CFB 090B 1199 3D9A EBB5
X-OS: x86_64-pc-linux-gnu
Date: Thu, 02 Dec 2021 10:15:56 +0100
In-Reply-To: <20211201170310.00164259@HIDDEN> (raingloom@HIDDEN's
 message of "Wed, 1 Dec 2021 17:03:10 +0100")
Message-ID: <8735nbxt83.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.2 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 51565
Cc: pukkamustard <pukkamustard@HIDDEN>, 51565 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Hi,

raingloom <raingloom@HIDDEN> skribis:

>> > -(define-public go-github-com-cheggaaa-pb
>> > +(define-public go-github-com-cheggaaa-pb-v3
>> >    (package
>> > -    (name "go-github-com-cheggaaa-pb")
>> > +    (name "go-github-com-cheggaaa-pb-v3")=20=20
>>=20
>> Why rename?  If we do need to rename, let=E2=80=99s add a =E2=80=98depre=
cated-package=E2=80=99
>> definition to allow users to notice and get a smooth upgrade.
>
> Without a rename guix import go gets confused and imports it again
> under that name.

Ah that makes sense; would be worth adding a comment above.

> It didn't seem like anything was using it so I went with a rename, but
> I guess someone's channel might be depending on it.  (although I doubt
> it) What would proper deprecation look like? Just inheriting from the
> new package, changing the name field, and marking it as deprecated?

Yes, you can grep for =E2=80=98deprecated-package=E2=80=99 in gnu/packages/=
*.scm.

Thanks,
Ludo=E2=80=99.




Information forwarded to guix-patches@HIDDEN:
bug#51565; Package guix-patches. Full text available.

Message received at 51565-done <at> debbugs.gnu.org:


Received: (at 51565-done) by debbugs.gnu.org; 1 Dec 2021 16:08:00 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Dec 01 11:08:00 2021
Received: from localhost ([127.0.0.1]:45335 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1msS9I-0007w1-7o
	for submit <at> debbugs.gnu.org; Wed, 01 Dec 2021 11:08:00 -0500
Received: from sender4-of-o51.zoho.com ([136.143.188.51]:21116)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rekado@HIDDEN>) id 1msS9G-0007vt-Nz
 for 51565-done <at> debbugs.gnu.org; Wed, 01 Dec 2021 11:07:59 -0500
ARC-Seal: i=1; a=rsa-sha256; t=1638374873; cv=none; 
 d=zohomail.com; s=zohoarc; 
 b=BaLcyTVy7jNnjHUwAv1Sz2lS6M38BvdDTEb3pIC13sJ4dObwShLrSndcdF3t0Qb0sZ/kwC0LGJi6rO9U30giNroZpNBx24JbLBjlQdr3eS8DzVDFyt4w1O5xzEg9fJjyyePl/6epOJZo+Zbim88XdedPHJcwZ7e8giXRdWdzTtM=
ARC-Message-Signature: i=1; a=rsa-sha256; c=relaxed/relaxed; d=zohomail.com;
 s=zohoarc; t=1638374873;
 h=Content-Type:Content-Transfer-Encoding:Cc:Date:From:MIME-Version:Message-ID:Subject:To;
 bh=YCKE76eSC6kOaHuG2ni/vMehhGykCHbekZ/TEAvBgxY=; 
 b=H1hn+AlbTWq1t4vqiEL0vGeMgjIn2FT5fa8EkrVW43fYNgFBXlj8KFu3mzRcXzrMhUQ8J3G/egHyzhduq+F9TGyHuBXN+/HDlxBhBcJtq9gz7jbJDZfwnQPBftfMntjE8LxOlU33A6hJ1kJAKSctdumB+c2O2Ljt9ktmNs66yx8=
ARC-Authentication-Results: i=1; mx.zohomail.com;
 dkim=pass  header.i=elephly.net;
 spf=pass  smtp.mailfrom=rekado@HIDDEN;
 dmarc=pass header.from=<rekado@HIDDEN>
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; t=1638374873; 
 s=zoho; d=elephly.net; i=rekado@HIDDEN;
 h=From:To:Cc:Subject:Date:Message-ID:MIME-Version:Content-Type:Content-Transfer-Encoding;
 bh=YCKE76eSC6kOaHuG2ni/vMehhGykCHbekZ/TEAvBgxY=;
 b=ObOvwELsS6MRdJ8pP/WhcW9anw3MdaHCKgNIk8yFzAykvl13+wBxiRQlgSHjcii3
 o+PbyN+H0yaEvx3rkY4TlYC8o2cCc/qKEZS4as9Bnzn49z9PRLAc2UllcfFxGIU+e4R
 OC6D7ZG9jBH9BSWmJTDOeK0NLd8vyj/9ynWm5j0M=
Received: from localhost (p54ad4afc.dip0.t-ipconnect.de [84.173.74.252]) by
 mx.zohomail.com with SMTPS id 1638374868438651.1770988950365;
 Wed, 1 Dec 2021 08:07:48 -0800 (PST)
User-agent: mu4e 1.6.10; emacs 28.0.50
From: Ricardo Wurmus <rekado@HIDDEN>
To: 51565-done <at> debbugs.gnu.org
Subject: PATCH: Update Yggdrasil to new protocol (important breaking changes)
Date: Wed, 01 Dec 2021 17:04:33 +0100
X-URL: https://elephly.net
X-PGP-Key: https://elephly.net/rekado.pubkey
X-PGP-Fingerprint: BCA6 89B6 3655 3801 C3C6  2150 197A 5888 235F ACAC
Message-ID: <877dcos3zj.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Transfer-Encoding: quoted-printable
X-ZohoMailClient: External
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 51565-done
Cc: ludo@HIDDEN, raingloom@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Ludo=E2=80=99s review overlapped my review.  I=E2=80=99ve already made all =
the=20
changes that Ludo requested.

+ changed the descriptions
+ recorded all changes in the commit
+ added a deprecated-package in the rename commit
+ fixed indentation

Commit d9956e938343c7637647ad10b977fdb0f3b8b138 updates yggdrasil=20
to 0.4.1.

--=20
Ricardo




Notification sent to raingloom <raingloom@HIDDEN>:
bug acknowledged by developer. Full text available.
Reply sent to Ricardo Wurmus <rekado@HIDDEN>:
You have taken responsibility. Full text available.

Message received at 51565 <at> debbugs.gnu.org:


Received: (at 51565) by debbugs.gnu.org; 1 Dec 2021 16:03:23 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Dec 01 11:03:23 2021
Received: from localhost ([127.0.0.1]:45324 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1msS4o-0007od-F6
	for submit <at> debbugs.gnu.org; Wed, 01 Dec 2021 11:03:22 -0500
Received: from mx1.riseup.net ([198.252.153.129]:46174)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <raingloom@HIDDEN>) id 1msS4m-0007oQ-Sp
 for 51565 <at> debbugs.gnu.org; Wed, 01 Dec 2021 11:03:21 -0500
Received: from fews1.riseup.net (fews1-pn.riseup.net [10.0.1.83])
 (using TLSv1.3 with cipher TLS_AES_256_GCM_SHA384 (256/256 bits)
 key-exchange X25519 server-signature RSA-PSS (2048 bits) server-digest SHA256
 client-signature RSA-PSS (2048 bits) client-digest SHA256)
 (Client CN "mail.riseup.net", Issuer "R3" (not verified))
 by mx1.riseup.net (Postfix) with ESMTPS id 4J43ll2b78zF4ft;
 Wed,  1 Dec 2021 08:03:15 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=riseup.net; s=squak;
 t=1638374595; bh=JLfgd3R7qTXnoQsik/QYzEou1uNM9lKJ2pTknNowU5g=;
 h=Date:From:To:Cc:Subject:In-Reply-To:References:From;
 b=GuEQi+aC2wvyqpH1kdC+T8oLCYc0L5twNU9cGhwkKSEDAMZgkB16lBIZ3pyA3qVzZ
 bOg3BDmDHU48YEipBnDX/s6nrgkOMdvffOV3PzY5OFEpvFazmRZfkBNykg/r6O6KfF
 JZQO0zknFtQzjkYE2e40pKKi4Ec5MvbWRZuBiS2M=
X-Riseup-User-ID: DF9D4981D8347E62FB6C0127D79F9D7A76205288F50A27F10A51AC606F2074A7
Received: from [127.0.0.1] (localhost [127.0.0.1])
 by fews1.riseup.net (Postfix) with ESMTPSA id 4J43lk1VbVz5w8M;
 Wed,  1 Dec 2021 08:03:14 -0800 (PST)
Date: Wed, 1 Dec 2021 17:03:10 +0100
From: raingloom <raingloom@HIDDEN>
To: Ludovic =?UTF-8?B?Q291cnTDqHM=?= <ludo@HIDDEN>
Subject: Re: bug#51565: PATCH: Update Yggdrasil to new protocol (important
 breaking changes)
Message-ID: <20211201170310.00164259@HIDDEN>
In-Reply-To: <87fsrc2vms.fsf_-_@HIDDEN>
References: <20211102065917.082a2e55@HIDDEN> <86wnl9lcj3.fsf@HIDDEN>
 <20211122221308.685c9f11@HIDDEN> <87fsrc2vms.fsf_-_@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 51565
Cc: pukkamustard <pukkamustard@HIDDEN>, 51565 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

On Wed, 01 Dec 2021 16:27:23 +0100
Ludovic Court=C3=A8s <ludo@HIDDEN> wrote:

> Hi raingloom,
>=20
> Apologies for the delay.
>=20
> raingloom <raingloom@HIDDEN> skribis:
>=20
> >>From 776202eb2d0610e51f5168d108ce80a4096b10d4 Mon Sep 17 00:00:00
> >>2001 =20
> > From: raingloom <raingloom@HIDDEN>
> > Date: Wed, 3 Nov 2021 21:40:37 +0100
> > Subject: [PATCH 8/8] gnu: yggdrasil: Update to 0.4.1.
> >
> > * gnu/packages/networking.scm (yggdrasil): Update to 0.4.1.
> > * gnu/packages/patches/yggdrasil-extra-config.patch: Update for new
> > version. =20
>=20
> OK.
>=20
> >>From ce6e34a490816fd9c093fec3b9124bff26620e1f Mon Sep 17 00:00:00
> >>2001 =20
> > From: raingloom <raingloom@HIDDEN>
> > Date: Tue, 2 Nov 2021 06:50:36 +0000
> > Subject: [PATCH 6/8] gnu: Add go-github-com-arceliar-ironwood.
> >
> > * gnu/packages/golang.scm (go-github-com-arceliar-ironwood): New
> > variable. =20
>=20
> OK.
>=20
> >>From 1b4bfd5a947902f453e47a510ab058ff459412f5 Mon Sep 17 00:00:00
> >>2001 =20
> > From: raingloom <raingloom@HIDDEN>
> > Date: Tue, 2 Nov 2021 06:46:57 +0000
> > Subject: [PATCH 5/8] gnu: Rename go-github-com-cheggaaa-pb to
> >  go-github-com-cheggaaa-pb-v3.
> >
> > * gnu/packages/golang.scm:
> >   (go-github-com-cheggaaa-pb): Rename variable.
> >   (go-github-com-cheggaaa-pb-v3): New variable.
> > ---
> >  gnu/packages/golang.scm | 4 ++--
> >  1 file changed, 2 insertions(+), 2 deletions(-)
> >
> > diff --git a/gnu/packages/golang.scm b/gnu/packages/golang.scm
> > index 4033806c7f..d0435b5469 100644
> > --- a/gnu/packages/golang.scm
> > +++ b/gnu/packages/golang.scm
> > @@ -7945,9 +7945,9 @@ (define-public go-github-com-arceliar-phony
> >  inspired by the causal messaging system in the Pony programming
> > language.") (license license:expat))))
> > =20
> > -(define-public go-github-com-cheggaaa-pb
> > +(define-public go-github-com-cheggaaa-pb-v3
> >    (package
> > -    (name "go-github-com-cheggaaa-pb")
> > +    (name "go-github-com-cheggaaa-pb-v3") =20
>=20
> Why rename?  If we do need to rename, let=E2=80=99s add a =E2=80=98deprec=
ated-package=E2=80=99
> definition to allow users to notice and get a smooth upgrade.

Without a rename guix import go gets confused and imports it again
under that name. It didn't seem like anything was using it so I went
with a rename, but I guess someone's channel might be depending on it.
(although I doubt it)
What would proper deprecation look like? Just inheriting from the new
package, changing the name field, and marking it as deprecated?

> >>From 6a4220dbb3cbb56cc818bd2f2714484e5f8682e4 Mon Sep 17 00:00:00
> >>2001 =20
> > From: raingloom <raingloom@HIDDEN>
> > Date: Tue, 2 Nov 2021 06:45:47 +0000
> > Subject: [PATCH 4/8] gnu: go-github-com-cheggaaa-pb: Update to
> > 3.0.8.
> >
> > * gnu/packages/golang.scm (go-github-com-cheggaaa-pb): Update to
> > 3.0.8. =20
>=20
> Could you mention input changes?
>=20
> >>From a234dd530900d0914a9972ad5a22a1fe303c1bc5 Mon Sep 17 00:00:00
> >>2001 =20
> > From: raingloom <raingloom@HIDDEN>
> > Date: Tue, 2 Nov 2021 06:37:17 +0000
> > Subject: [PATCH 3/8] gnu: Add go-github-com-mattn-go-runewidth.
> >
> > * gnu/packages/golang.scm (go-github-com-mattn-go-runewidth): New
> > variable. =20
>=20
> [...]
>=20
> > +    (home-page "https://github.com/mattn/go-runewidth")
> > +    (synopsis "Rune width implementation for Go")
> > +    (description
> > +      "Provides functions to get fixed width of the character or
> > string.") =20
>=20
> Please write a full sentence:
>=20
>   https://guix.gnu.org/manual/en/html_node/Synopses-and-Descriptions.html
>=20
> >>From 4732bee7bdbea38292afe9f6b1149986dbfabcb7 Mon Sep 17 00:00:00
> >>2001 =20
> > From: raingloom <raingloom@HIDDEN>
> > Date: Tue, 2 Nov 2021 06:37:11 +0000
> > Subject: [PATCH 2/8] gnu: Add go-github-com-rivo-uniseg.
> >
> > * gnu/packages/golang.scm (go-github-com-rivo-uniseg): New
> > variable. =20
>=20
> [...]
>=20
> > +    (synopsis "Unicode Text Segmentation for Go")
> > +    (description
> > +      "Package uniseg implements Unicode Text Segmentation
> > according to Unicode +Standard Annex #29
> > +(@url{http://unicode.org/reports/tr29/,http://unicode.org/reports/tr29=
/}).
> > +") =20
>=20
> Ditto.
>=20
> >>From c11a2cf43ddd6108b57c24ef9669655b677ce276 Mon Sep 17 00:00:00
> >>2001 =20
> > From: raingloom <raingloom@HIDDEN>
> > Date: Tue, 2 Nov 2021 06:36:37 +0000
> > Subject: [PATCH 1/8] gnu: Add go-github-com-vividcortex-ewma.
> >
> > * gnu/packages/golang.scm (go-github-com-vividcortex-ewma): New
> > variable. =20
>=20
> [...]
>=20
> > +    (home-page "https://github.com/VividCortex/ewma")
> > +    (synopsis "EWMA")
> > +    (description
> > +      "Package ewma implements exponentially weighted moving
> > averages.") =20
>=20
> Ditto.
>=20
> Could you send updated patches?
>=20
> TIA,
> Ludo=E2=80=99.





Information forwarded to guix-patches@HIDDEN:
bug#51565; Package guix-patches. Full text available.

Message received at 51565 <at> debbugs.gnu.org:


Received: (at 51565) by debbugs.gnu.org; 1 Dec 2021 15:27:33 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Dec 01 10:27:33 2021
Received: from localhost ([127.0.0.1]:45116 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1msRW8-0004NI-Lw
	for submit <at> debbugs.gnu.org; Wed, 01 Dec 2021 10:27:33 -0500
Received: from eggs.gnu.org ([209.51.188.92]:43864)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ludo@HIDDEN>) id 1msRW6-0004N2-Kn
 for 51565 <at> debbugs.gnu.org; Wed, 01 Dec 2021 10:27:31 -0500
Received: from [2001:470:142:3::e] (port=53288 helo=fencepost.gnu.org)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <ludo@HIDDEN>)
 id 1msRW1-0005Xz-DX; Wed, 01 Dec 2021 10:27:25 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnu.org;
 s=fencepost-gnu-org; h=MIME-Version:In-Reply-To:Date:References:Subject:To:
 From; bh=9pEcvMvwJrwGYtcZ0sYQRlzslsNx6s57LWyrWAf01Ns=; b=bx/NXBiN0f4nrUc9BR3W
 CZi5v4lQjr3rL/lwLyoDVv+g3GoYxliXMfqm2a7JfEkqkq7F2YehlFTbGsKAeZoSwgUunDwsLMaPH
 lPg9o7RR8VUN2nNqTsefbFbWEjwbXHAcvbKNKHBc0BpbQhgJE9A+kFdcMDYXOcOsCLc+jWKIyX4a7
 jqvI6xexsC70U2JK9RnDsyO7iKCOqikAgJRfXcpT1Fk89iCtlhuBF7D1Gkgkh6TSBYpiLmqjsKNi9
 JvdaD6ooeDUrTISAUeOYpiP1pxOMm/wZPCadHOrOLDnZ3YiIHv/GpIQ/ZMt/dgAyoghmRzZ1mbEQK
 mFdVF2MPvIVrkQ==;
Received: from 91-160-117-201.subs.proxad.net ([91.160.117.201]:57312
 helo=ribbon)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <ludo@HIDDEN>)
 id 1msRW1-0001hI-8i; Wed, 01 Dec 2021 10:27:25 -0500
From: =?utf-8?Q?Ludovic_Court=C3=A8s?= <ludo@HIDDEN>
To: raingloom <raingloom@HIDDEN>
Subject: Re: bug#51565: PATCH: Update Yggdrasil to new protocol (important
 breaking changes)
References: <20211102065917.082a2e55@HIDDEN> <86wnl9lcj3.fsf@HIDDEN>
 <20211122221308.685c9f11@HIDDEN>
Date: Wed, 01 Dec 2021 16:27:23 +0100
In-Reply-To: <20211122221308.685c9f11@HIDDEN> (raingloom@HIDDEN's
 message of "Mon, 22 Nov 2021 22:13:08 +0100")
Message-ID: <87fsrc2vms.fsf_-_@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.2 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 51565
Cc: pukkamustard <pukkamustard@HIDDEN>, 51565 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Hi raingloom,

Apologies for the delay.

raingloom <raingloom@HIDDEN> skribis:

>>From 776202eb2d0610e51f5168d108ce80a4096b10d4 Mon Sep 17 00:00:00 2001
> From: raingloom <raingloom@HIDDEN>
> Date: Wed, 3 Nov 2021 21:40:37 +0100
> Subject: [PATCH 8/8] gnu: yggdrasil: Update to 0.4.1.
>
> * gnu/packages/networking.scm (yggdrasil): Update to 0.4.1.
> * gnu/packages/patches/yggdrasil-extra-config.patch: Update for new versi=
on.

OK.

>>From ce6e34a490816fd9c093fec3b9124bff26620e1f Mon Sep 17 00:00:00 2001
> From: raingloom <raingloom@HIDDEN>
> Date: Tue, 2 Nov 2021 06:50:36 +0000
> Subject: [PATCH 6/8] gnu: Add go-github-com-arceliar-ironwood.
>
> * gnu/packages/golang.scm (go-github-com-arceliar-ironwood): New variable.

OK.

>>From 1b4bfd5a947902f453e47a510ab058ff459412f5 Mon Sep 17 00:00:00 2001
> From: raingloom <raingloom@HIDDEN>
> Date: Tue, 2 Nov 2021 06:46:57 +0000
> Subject: [PATCH 5/8] gnu: Rename go-github-com-cheggaaa-pb to
>  go-github-com-cheggaaa-pb-v3.
>
> * gnu/packages/golang.scm:
>   (go-github-com-cheggaaa-pb): Rename variable.
>   (go-github-com-cheggaaa-pb-v3): New variable.
> ---
>  gnu/packages/golang.scm | 4 ++--
>  1 file changed, 2 insertions(+), 2 deletions(-)
>
> diff --git a/gnu/packages/golang.scm b/gnu/packages/golang.scm
> index 4033806c7f..d0435b5469 100644
> --- a/gnu/packages/golang.scm
> +++ b/gnu/packages/golang.scm
> @@ -7945,9 +7945,9 @@ (define-public go-github-com-arceliar-phony
>  inspired by the causal messaging system in the Pony programming language=
.")
>        (license license:expat))))
>=20=20
> -(define-public go-github-com-cheggaaa-pb
> +(define-public go-github-com-cheggaaa-pb-v3
>    (package
> -    (name "go-github-com-cheggaaa-pb")
> +    (name "go-github-com-cheggaaa-pb-v3")

Why rename?  If we do need to rename, let=E2=80=99s add a =E2=80=98deprecat=
ed-package=E2=80=99
definition to allow users to notice and get a smooth upgrade.

>>From 6a4220dbb3cbb56cc818bd2f2714484e5f8682e4 Mon Sep 17 00:00:00 2001
> From: raingloom <raingloom@HIDDEN>
> Date: Tue, 2 Nov 2021 06:45:47 +0000
> Subject: [PATCH 4/8] gnu: go-github-com-cheggaaa-pb: Update to 3.0.8.
>
> * gnu/packages/golang.scm (go-github-com-cheggaaa-pb): Update to 3.0.8.

Could you mention input changes?

>>From a234dd530900d0914a9972ad5a22a1fe303c1bc5 Mon Sep 17 00:00:00 2001
> From: raingloom <raingloom@HIDDEN>
> Date: Tue, 2 Nov 2021 06:37:17 +0000
> Subject: [PATCH 3/8] gnu: Add go-github-com-mattn-go-runewidth.
>
> * gnu/packages/golang.scm (go-github-com-mattn-go-runewidth): New variabl=
e.

[...]

> +    (home-page "https://github.com/mattn/go-runewidth")
> +    (synopsis "Rune width implementation for Go")
> +    (description
> +      "Provides functions to get fixed width of the character or string.=
")

Please write a full sentence:

  https://guix.gnu.org/manual/en/html_node/Synopses-and-Descriptions.html

>>From 4732bee7bdbea38292afe9f6b1149986dbfabcb7 Mon Sep 17 00:00:00 2001
> From: raingloom <raingloom@HIDDEN>
> Date: Tue, 2 Nov 2021 06:37:11 +0000
> Subject: [PATCH 2/8] gnu: Add go-github-com-rivo-uniseg.
>
> * gnu/packages/golang.scm (go-github-com-rivo-uniseg): New variable.

[...]

> +    (synopsis "Unicode Text Segmentation for Go")
> +    (description
> +      "Package uniseg implements Unicode Text Segmentation according to =
Unicode
> +Standard Annex #29
> +(@url{http://unicode.org/reports/tr29/,http://unicode.org/reports/tr29/}=
).
> +")

Ditto.

>>From c11a2cf43ddd6108b57c24ef9669655b677ce276 Mon Sep 17 00:00:00 2001
> From: raingloom <raingloom@HIDDEN>
> Date: Tue, 2 Nov 2021 06:36:37 +0000
> Subject: [PATCH 1/8] gnu: Add go-github-com-vividcortex-ewma.
>
> * gnu/packages/golang.scm (go-github-com-vividcortex-ewma): New variable.

[...]

> +    (home-page "https://github.com/VividCortex/ewma")
> +    (synopsis "EWMA")
> +    (description
> +      "Package ewma implements exponentially weighted moving averages.")

Ditto.

Could you send updated patches?

TIA,
Ludo=E2=80=99.




Information forwarded to guix-patches@HIDDEN:
bug#51565; Package guix-patches. Full text available.

Message received at 51565 <at> debbugs.gnu.org:


Received: (at 51565) by debbugs.gnu.org; 30 Nov 2021 02:07:16 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Nov 29 21:07:16 2021
Received: from localhost ([127.0.0.1]:39897 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mrsY8-0000lW-7s
	for submit <at> debbugs.gnu.org; Mon, 29 Nov 2021 21:07:16 -0500
Received: from mx1.riseup.net ([198.252.153.129]:60376)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <raingloom@HIDDEN>) id 1mrsY5-0000l4-NF
 for 51565 <at> debbugs.gnu.org; Mon, 29 Nov 2021 21:07:14 -0500
Received: from fews1.riseup.net (fews1-pn.riseup.net [10.0.1.83])
 (using TLSv1.3 with cipher TLS_AES_256_GCM_SHA384 (256/256 bits)
 key-exchange X25519 server-signature RSA-PSS (2048 bits) server-digest SHA256
 client-signature RSA-PSS (2048 bits) client-digest SHA256)
 (Client CN "mail.riseup.net", Issuer "R3" (not verified))
 by mx1.riseup.net (Postfix) with ESMTPS id 4J35FR6Yt4zDyP5;
 Mon, 29 Nov 2021 18:07:07 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=riseup.net; s=squak;
 t=1638238027; bh=DDSCI/B7zH9oHaB9DCGnTEJrX11sqneY+yMiadZZEso=;
 h=Date:From:To:Cc:Subject:In-Reply-To:References:From;
 b=qRvN60ntX17DvqtwKsWGxpSQwqgJ1Il+mmgRUDa9Te+KnDVAoD0agUs00CKGcEiCg
 I2D//X4CBz6GmBSvZ1yw7NIrNwuPfSJ4pj+k4UQb97SSWuuW54/zOMNPxYsOLBA7RK
 sXjOI4t1X4M9ssoag4f29ofCuO140TtwFtWra4kY=
X-Riseup-User-ID: DC3B421FDA86FC4D4742C77BE64D3BA90DAFD1374D1D387EB35E88BD6A33A07F
Received: from [127.0.0.1] (localhost [127.0.0.1])
 by fews1.riseup.net (Postfix) with ESMTPSA id 4J35FQ57GNz5vcH;
 Mon, 29 Nov 2021 18:07:06 -0800 (PST)
Date: Sun, 28 Nov 2021 21:47:38 +0100
From: raingloom <raingloom@HIDDEN>
To: pukkamustard <pukkamustard@HIDDEN>
Subject: Re: [bug#51565] PATCH: Update Yggdrasil to new protocol (important
 breaking changes)
Message-ID: <20211128214738.2347f9e4@HIDDEN>
In-Reply-To: <20211122221308.685c9f11@HIDDEN>
References: <20211102065917.082a2e55@HIDDEN> <86wnl9lcj3.fsf@HIDDEN>
 <20211122221308.685c9f11@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=US-ASCII
Content-Transfer-Encoding: 7bit
X-Spam-Score: -0.2 (/)
X-Debbugs-Envelope-To: 51565
Cc: 51565 <at> debbugs.gnu.org, guix-patches@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.2 (-)

On Mon, 22 Nov 2021 22:13:08 +0100
raingloom <raingloom@HIDDEN> wrote:

> On Mon, 15 Nov 2021 14:10:46 +0000
> pukkamustard <pukkamustard@HIDDEN> wrote:
> 
> > Thanks for this!
> > 
> > Some minor changes may be needed to make the linter happy:
> > 
> > raingloom <raingloom@HIDDEN> writes:
> > 
> > [..]
> > 
> > > [3. text/x-patch;
> > > 0002-gnu-Add-go-github-com-rivo-uniseg.patch]...  
> > 
> > Linter complains that a line is too long:
> > 
> > gnu/packages/golang.scm:8885:0: go-github-com-rivo-uniseg@HIDDEN:
> > line 8885 is way too long (93 characters)
> > 
> > >
> > > [4. text/x-patch;
> > > 0003-gnu-Add-go-github-com-mattn-go-runewidth.patch]...  
> > 
> > Linter complains about the synopsis. Maybe: "Go functions for
> > getting fixed width of characters or strings"?
> > 
> > Does seem like a bit of a duplication of the description...
> > 
> > > [5. text/x-patch;
> > > 0004-gnu-go-github-com-cheggaaa-pb-Update-to-3.0.8.patch]...
> > >
> > > [6. text/x-patch;
> > > 0005-gnu-Rename-go-github-com-cheggaaa-pb-to-go-github-co.patch]...
> > >
> > > [7. text/x-patch;
> > > 0006-gnu-Add-go-github-com-arceliar-ironwood.patch]...  
> > 
> > Lines in descriptions are too long and should be wrapped.
> > 
> > A synopsis is required. Maybe: "Ironwood is a Go network routing
> > library using cryptographic keys as addresses"?
> 
> Heck, I think I meant to run the linter but it was getting late and I
> just wanted to be done with the patch. Well, here is an updated patch
> list.

Bump. Could someome merge this if everything is in order?




Information forwarded to guix-patches@HIDDEN:
bug#51565; Package guix-patches. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 30 Nov 2021 02:07:16 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Nov 29 21:07:16 2021
Received: from localhost ([127.0.0.1]:39895 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mrsY7-0000lU-Vs
	for submit <at> debbugs.gnu.org; Mon, 29 Nov 2021 21:07:16 -0500
Received: from lists.gnu.org ([209.51.188.17]:35438)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <raingloom@HIDDEN>) id 1mrsY5-0000lB-JZ
 for submit <at> debbugs.gnu.org; Mon, 29 Nov 2021 21:07:14 -0500
Received: from eggs.gnu.org ([209.51.188.92]:40714)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <raingloom@HIDDEN>)
 id 1mrsY5-0005Of-Fy
 for guix-patches@HIDDEN; Mon, 29 Nov 2021 21:07:13 -0500
Received: from mx1.riseup.net ([198.252.153.129]:36238)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <raingloom@HIDDEN>)
 id 1mrsY3-0007ga-0i
 for guix-patches@HIDDEN; Mon, 29 Nov 2021 21:07:13 -0500
Received: from fews1.riseup.net (fews1-pn.riseup.net [10.0.1.83])
 (using TLSv1.3 with cipher TLS_AES_256_GCM_SHA384 (256/256 bits)
 key-exchange X25519 server-signature RSA-PSS (2048 bits) server-digest SHA256
 client-signature RSA-PSS (2048 bits) client-digest SHA256)
 (Client CN "mail.riseup.net", Issuer "R3" (not verified))
 by mx1.riseup.net (Postfix) with ESMTPS id 4J35FR6Yt4zDyP5;
 Mon, 29 Nov 2021 18:07:07 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=riseup.net; s=squak;
 t=1638238027; bh=DDSCI/B7zH9oHaB9DCGnTEJrX11sqneY+yMiadZZEso=;
 h=Date:From:To:Cc:Subject:In-Reply-To:References:From;
 b=qRvN60ntX17DvqtwKsWGxpSQwqgJ1Il+mmgRUDa9Te+KnDVAoD0agUs00CKGcEiCg
 I2D//X4CBz6GmBSvZ1yw7NIrNwuPfSJ4pj+k4UQb97SSWuuW54/zOMNPxYsOLBA7RK
 sXjOI4t1X4M9ssoag4f29ofCuO140TtwFtWra4kY=
X-Riseup-User-ID: DC3B421FDA86FC4D4742C77BE64D3BA90DAFD1374D1D387EB35E88BD6A33A07F
Received: from [127.0.0.1] (localhost [127.0.0.1])
 by fews1.riseup.net (Postfix) with ESMTPSA id 4J35FQ57GNz5vcH;
 Mon, 29 Nov 2021 18:07:06 -0800 (PST)
Date: Sun, 28 Nov 2021 21:47:38 +0100
From: raingloom <raingloom@HIDDEN>
To: pukkamustard <pukkamustard@HIDDEN>
Subject: Re: [bug#51565] PATCH: Update Yggdrasil to new protocol (important
 breaking changes)
Message-ID: <20211128214738.2347f9e4@HIDDEN>
In-Reply-To: <20211122221308.685c9f11@HIDDEN>
References: <20211102065917.082a2e55@HIDDEN> <86wnl9lcj3.fsf@HIDDEN>
 <20211122221308.685c9f11@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=US-ASCII
Content-Transfer-Encoding: 7bit
Received-SPF: pass client-ip=198.252.153.129;
 envelope-from=raingloom@HIDDEN; helo=mx1.riseup.net
X-Spam_score_int: -14
X-Spam_score: -1.5
X-Spam_bar: -
X-Spam_report: (-1.5 / 5.0 requ) BAYES_00=-1.9, DATE_IN_PAST_24_48=1.34,
 DKIM_SIGNED=0.1, DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1,
 RCVD_IN_DNSWL_LOW=-0.7, RCVD_IN_MSPIKE_H3=0.001, RCVD_IN_MSPIKE_WL=0.001,
 SPF_HELO_PASS=-0.001, SPF_PASS=-0.001 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -0.9 (/)
X-Debbugs-Envelope-To: submit
Cc: 51565 <at> debbugs.gnu.org, guix-patches@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.9 (-)

On Mon, 22 Nov 2021 22:13:08 +0100
raingloom <raingloom@HIDDEN> wrote:

> On Mon, 15 Nov 2021 14:10:46 +0000
> pukkamustard <pukkamustard@HIDDEN> wrote:
> 
> > Thanks for this!
> > 
> > Some minor changes may be needed to make the linter happy:
> > 
> > raingloom <raingloom@HIDDEN> writes:
> > 
> > [..]
> > 
> > > [3. text/x-patch;
> > > 0002-gnu-Add-go-github-com-rivo-uniseg.patch]...  
> > 
> > Linter complains that a line is too long:
> > 
> > gnu/packages/golang.scm:8885:0: go-github-com-rivo-uniseg@HIDDEN:
> > line 8885 is way too long (93 characters)
> > 
> > >
> > > [4. text/x-patch;
> > > 0003-gnu-Add-go-github-com-mattn-go-runewidth.patch]...  
> > 
> > Linter complains about the synopsis. Maybe: "Go functions for
> > getting fixed width of characters or strings"?
> > 
> > Does seem like a bit of a duplication of the description...
> > 
> > > [5. text/x-patch;
> > > 0004-gnu-go-github-com-cheggaaa-pb-Update-to-3.0.8.patch]...
> > >
> > > [6. text/x-patch;
> > > 0005-gnu-Rename-go-github-com-cheggaaa-pb-to-go-github-co.patch]...
> > >
> > > [7. text/x-patch;
> > > 0006-gnu-Add-go-github-com-arceliar-ironwood.patch]...  
> > 
> > Lines in descriptions are too long and should be wrapped.
> > 
> > A synopsis is required. Maybe: "Ironwood is a Go network routing
> > library using cryptographic keys as addresses"?
> 
> Heck, I think I meant to run the linter but it was getting late and I
> just wanted to be done with the patch. Well, here is an updated patch
> list.

Bump. Could someome merge this if everything is in order?




Information forwarded to guix-patches@HIDDEN:
bug#51565; Package guix-patches. Full text available.

Message received at 51565 <at> debbugs.gnu.org:


Received: (at 51565) by debbugs.gnu.org; 22 Nov 2021 21:13:40 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Nov 22 16:13:40 2021
Received: from localhost ([127.0.0.1]:49268 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mpGd6-0002dL-J3
	for submit <at> debbugs.gnu.org; Mon, 22 Nov 2021 16:13:39 -0500
Received: from mx1.riseup.net ([198.252.153.129]:47524)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <raingloom@HIDDEN>) id 1mpGcv-0002cl-Cp
 for 51565 <at> debbugs.gnu.org; Mon, 22 Nov 2021 16:13:29 -0500
Received: from fews1.riseup.net (fews1-pn.riseup.net [10.0.1.83])
 (using TLSv1.3 with cipher TLS_AES_256_GCM_SHA384 (256/256 bits)
 key-exchange X25519 server-signature RSA-PSS (2048 bits) server-digest SHA256
 client-signature RSA-PSS (2048 bits) client-digest SHA256)
 (Client CN "mail.riseup.net", Issuer "R3" (not verified))
 by mx1.riseup.net (Postfix) with ESMTPS id 4Hyg3g3ZjgzDrkv;
 Mon, 22 Nov 2021 13:13:19 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=riseup.net; s=squak;
 t=1637615599; bh=/+1z+i7hOqouIHnCUyTYmWvwZy0qlayVRKPK3zofnVM=;
 h=Date:From:To:Cc:Subject:In-Reply-To:References:From;
 b=XbWT87AojnlY64wTa7UUimrUNV+ge7/7paDrV6GtcISYPlyTpKo+QWhqN6jLJpqXV
 x8t1SwCJ8d3Prgd5TrHzl0HwbtRUBaHlE2Ag87MjJrHjrw+Bf+aKW/XKKXy3bvAPT+
 fWE7TheeTHHamDpXIgNkxrZ5pVYKF+m1inJH7P38=
X-Riseup-User-ID: 24970C08E44C81826FBB300124FCD8AEB352670681D9CF6863447A1F5D0081B1
Received: from [127.0.0.1] (localhost [127.0.0.1])
 by fews1.riseup.net (Postfix) with ESMTPSA id 4Hyg3f2S4Fz5vkM;
 Mon, 22 Nov 2021 13:13:18 -0800 (PST)
Date: Mon, 22 Nov 2021 22:13:08 +0100
From: raingloom <raingloom@HIDDEN>
To: pukkamustard <pukkamustard@HIDDEN>
Subject: Re: [bug#51565] PATCH: Update Yggdrasil to new protocol (important
 breaking changes)
Message-ID: <20211122221308.685c9f11@HIDDEN>
In-Reply-To: <86wnl9lcj3.fsf@HIDDEN>
References: <20211102065917.082a2e55@HIDDEN>
	<86wnl9lcj3.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/mixed; boundary="MP_/WI60ugRtXo8tq+uZqIWfQpS"
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 51565
Cc: 51565 <at> debbugs.gnu.org, guix-patches@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

--MP_/WI60ugRtXo8tq+uZqIWfQpS
Content-Type: text/plain; charset=US-ASCII
Content-Transfer-Encoding: 7bit
Content-Disposition: inline

On Mon, 15 Nov 2021 14:10:46 +0000
pukkamustard <pukkamustard@HIDDEN> wrote:

> Thanks for this!
> 
> Some minor changes may be needed to make the linter happy:
> 
> raingloom <raingloom@HIDDEN> writes:
> 
> [..]
> 
> > [3. text/x-patch; 0002-gnu-Add-go-github-com-rivo-uniseg.patch]...  
> 
> Linter complains that a line is too long:
> 
> gnu/packages/golang.scm:8885:0: go-github-com-rivo-uniseg@HIDDEN: line
> 8885 is way too long (93 characters)
> 
> >
> > [4. text/x-patch;
> > 0003-gnu-Add-go-github-com-mattn-go-runewidth.patch]...  
> 
> Linter complains about the synopsis. Maybe: "Go functions for getting
> fixed width of characters or strings"?
> 
> Does seem like a bit of a duplication of the description...
> 
> > [5. text/x-patch;
> > 0004-gnu-go-github-com-cheggaaa-pb-Update-to-3.0.8.patch]...
> >
> > [6. text/x-patch;
> > 0005-gnu-Rename-go-github-com-cheggaaa-pb-to-go-github-co.patch]...
> >
> > [7. text/x-patch;
> > 0006-gnu-Add-go-github-com-arceliar-ironwood.patch]...  
> 
> Lines in descriptions are too long and should be wrapped.
> 
> A synopsis is required. Maybe: "Ironwood is a Go network routing
> library using cryptographic keys as addresses"?

Heck, I think I meant to run the linter but it was getting late and I
just wanted to be done with the patch. Well, here is an updated patch
list.

--MP_/WI60ugRtXo8tq+uZqIWfQpS
Content-Type: text/x-patch
Content-Transfer-Encoding: 7bit
Content-Disposition: attachment;
 filename=0008-gnu-yggdrasil-Update-to-0.4.1.patch

From 776202eb2d0610e51f5168d108ce80a4096b10d4 Mon Sep 17 00:00:00 2001
From: raingloom <raingloom@HIDDEN>
Date: Wed, 3 Nov 2021 21:40:37 +0100
Subject: [PATCH 8/8] gnu: yggdrasil: Update to 0.4.1.

* gnu/packages/networking.scm (yggdrasil): Update to 0.4.1.
* gnu/packages/patches/yggdrasil-extra-config.patch: Update for new version.
---
 gnu/packages/networking.scm                   |  4 +-
 .../patches/yggdrasil-extra-config.patch      | 47 ++++++++++++-------
 2 files changed, 33 insertions(+), 18 deletions(-)

diff --git a/gnu/packages/networking.scm b/gnu/packages/networking.scm
index 62bb3ef07e..22d38fb4fd 100644
--- a/gnu/packages/networking.scm
+++ b/gnu/packages/networking.scm
@@ -4088,7 +4088,7 @@ (define-public nbd
 (define-public yggdrasil
   (package
     (name "yggdrasil")
-    (version "0.4.0")
+    (version "0.4.1")
     (source
      (origin
        (method git-fetch)
@@ -4099,7 +4099,7 @@ (define-public yggdrasil
          (recursive? #t)))
        (file-name (git-file-name name version))
        (sha256
-        (base32 "0mmqw6w5a6ph49xd1yzb7i70xg466k9pi5sdvplhb66x68wipixh"))
+        (base32 "1ajhn0z58ap9jldip7mqj78drmgg4645zfsxsy004cfkm60fasnx"))
        (patches (search-patches "yggdrasil-extra-config.patch"))))
     (build-system go-build-system)
     (arguments
diff --git a/gnu/packages/patches/yggdrasil-extra-config.patch b/gnu/packages/patches/yggdrasil-extra-config.patch
index 46fd3f15fc..bd4bea7b9f 100644
--- a/gnu/packages/patches/yggdrasil-extra-config.patch
+++ b/gnu/packages/patches/yggdrasil-extra-config.patch
@@ -1,8 +1,20 @@
+From 779f980451d20079b34812f7006f2d7230738ad0 Mon Sep 17 00:00:00 2001
+From: csepp <raingloom@HIDDEN>
+Date: Wed, 3 Nov 2021 21:14:54 +0100
+Subject: [PATCH] add extra config file option to yggdrasil command
+
+This is useful in Guix and Nix, because one config file can come
+from the world-readable store and another can be placed directly
+into /etc with much stricter permissions.
+---
+ cmd/yggdrasil/main.go | 29 ++++++++++++++++++++++-------
+ 1 file changed, 22 insertions(+), 7 deletions(-)
+
 diff --git a/cmd/yggdrasil/main.go b/cmd/yggdrasil/main.go
-index 813e950..08d35cc 100644
+index 58b8230..b9df98a 100644
 --- a/cmd/yggdrasil/main.go
 +++ b/cmd/yggdrasil/main.go
-@@ -40,11 +40,12 @@ type node struct {
+@@ -43,11 +43,12 @@ type node struct {
  	admin     *admin.AdminSocket
  }
  
@@ -16,7 +28,7 @@ index 813e950..08d35cc 100644
  	var err error
  	if useconffile != "" {
  		// Read the file from the filesystem
-@@ -56,6 +57,21 @@ func readConfig(useconf *bool, useconffile *string, normaliseconf *bool) *config
+@@ -59,6 +60,21 @@ func readConfig(log *log.Logger, useconf bool, useconffile string, normaliseconf
  	if err != nil {
  		panic(err)
  	}
@@ -38,7 +50,7 @@ index 813e950..08d35cc 100644
  	// If there's a byte order mark - which Windows 10 is now incredibly fond of
  	// throwing everywhere when it's converting things into UTF-16 for the hell
  	// of it - remove it and decode back down into UTF-8. This is necessary
-@@ -69,11 +85,6 @@ func readConfig(log *log.Logger, useconf bool, useconffile string, normaliseconf bool) *config
+@@ -72,11 +88,6 @@ func readConfig(log *log.Logger, useconf bool, useconffile string, normaliseconf
  			panic(err)
  		}
  	}
@@ -50,7 +62,7 @@ index 813e950..08d35cc 100644
  	var dat map[string]interface{}
  	if err := hjson.Unmarshal(conf, &dat); err != nil {
  		panic(err)
-@@ -112,6 +123,7 @@ func readConfig(log *log.Logger, useconf *bool, useconffile *string, normaliseconf *bool) *config
+@@ -136,6 +147,7 @@ func readConfig(log *log.Logger, useconf bool, useconffile string, normaliseconf
  	if err = mapstructure.Decode(dat, &cfg); err != nil {
  		panic(err)
  	}
@@ -58,15 +70,15 @@ index 813e950..08d35cc 100644
  	return cfg
  }
  
-@@ -185,6 +197,7 @@ func main() {
- 	genconf       bool
- 	useconf       bool
+@@ -192,6 +204,7 @@ type yggArgs struct {
+ 	getaddr       bool
+ 	getsnet       bool
  	useconffile   string
-+	extraconffile string
- 	normaliseconf bool
- 	confjson      bool
- 	autoconf      bool
-@@ -164,6 +176,7 @@ func main() {
++        extraconffile string
+ 	logto         string
+ 	loglevel      string
+ }
+@@ -200,6 +213,7 @@ func getArgs() yggArgs {
  	genconf := flag.Bool("genconf", false, "print a new config to stdout")
  	useconf := flag.Bool("useconf", false, "read HJSON/JSON config from stdin")
  	useconffile := flag.String("useconffile", "", "read HJSON/JSON config from specified file path")
@@ -74,15 +86,15 @@ index 813e950..08d35cc 100644
  	normaliseconf := flag.Bool("normaliseconf", false, "use in combination with either -useconf or -useconffile, outputs your configuration normalised")
  	confjson := flag.Bool("json", false, "print configuration from -genconf or -normaliseconf as JSON instead of HJSON")
  	autoconf := flag.Bool("autoconf", false, "automatic mode (dynamic IP, peer with IPv6 neighbors)")
-@@ -212,6 +225,7 @@ func main() {
+@@ -213,6 +227,7 @@ func getArgs() yggArgs {
  		genconf:       *genconf,
  		useconf:       *useconf,
  		useconffile:   *useconffile,
-+		extraconffile: *extraconffile,
++                extraconffile: *extraconffile,
  		normaliseconf: *normaliseconf,
  		confjson:      *confjson,
  		autoconf:      *autoconf,
-@@ -187,7 +200,7 @@ func main() {
+@@ -265,7 +280,7 @@ func run(args yggArgs, ctx context.Context, done chan struct{}) {
  		cfg = defaults.GenerateConfig()
  	case args.useconffile != "" || args.useconf:
  		// Read the configuration from either stdin or from the filesystem
@@ -91,3 +103,6 @@ index 813e950..08d35cc 100644
  		// If the -normaliseconf option was specified then remarshal the above
  		// configuration and print it back to stdout. This lets the user update
  		// their configuration file with newly mapped names (like above) or to
+-- 
+2.33.1
+
-- 
2.33.1


--MP_/WI60ugRtXo8tq+uZqIWfQpS
Content-Type: text/x-patch
Content-Transfer-Encoding: 7bit
Content-Disposition: attachment;
 filename=0007-gnu-yggdrasil-Update-to-0.4.0.patch

From 230ce36ac9e9afb962fd875124cafa6a97dcf256 Mon Sep 17 00:00:00 2001
From: raingloom <raingloom@HIDDEN>
Date: Tue, 2 Nov 2021 06:51:10 +0000
Subject: [PATCH 7/8] gnu: yggdrasil: Update to 0.4.0.

* gnu/packages/patches/yggdrasil-extra-config.patch: Update patch.
* gnu/packages/networking.scm (yggdrasil): Update to 0.4.0.
[propagated-inputs]: Remove go-github-com-cheggaaa-pb; add go-golang-org-x-sys,
go-github-com-mattn-go-runewidth, go-github-com-mattn-go-isatty,
go-github-com-fatih-color, go-github-com-cheggaaa-pb-v3,
go-github-com-vividcortex-ewma, and go-github-com-arceliar-ironwood.
---
 gnu/packages/networking.scm                   | 55 +++++++++++++------
 .../patches/yggdrasil-extra-config.patch      | 53 ++++++++++--------
 2 files changed, 69 insertions(+), 39 deletions(-)

diff --git a/gnu/packages/networking.scm b/gnu/packages/networking.scm
index 02041924f6..62bb3ef07e 100644
--- a/gnu/packages/networking.scm
+++ b/gnu/packages/networking.scm
@@ -4088,7 +4088,7 @@ (define-public nbd
 (define-public yggdrasil
   (package
     (name "yggdrasil")
-    (version "0.3.16")
+    (version "0.4.0")
     (source
      (origin
        (method git-fetch)
@@ -4099,7 +4099,7 @@ (define-public yggdrasil
          (recursive? #t)))
        (file-name (git-file-name name version))
        (sha256
-        (base32 "0vyd7a333hwn6j1lv1g9sicw74a4qk982bsi3cfdhjlv6hsjwmil"))
+        (base32 "0mmqw6w5a6ph49xd1yzb7i70xg466k9pi5sdvplhb66x68wipixh"))
        (patches (search-patches "yggdrasil-extra-config.patch"))))
     (build-system go-build-system)
     (arguments
@@ -4116,7 +4116,7 @@ (define-public yggdrasil
                           "go" "build" "-v" "-ldflags=-s -w"
                           (string-append
                            "github.com/yggdrasil-network/yggdrasil-go/cmd/" c)))
-                       (list "yggdrasil" "yggdrasilctl"))
+                       (list "yggdrasil" "yggdrasilctl" "genkeys"))
                       #t))
                   (replace 'install
                     (lambda* (#:key outputs #:allow-other-keys)
@@ -4127,7 +4127,7 @@ (define-public yggdrasil
                         (for-each
                          (lambda (f)
                            (install-file f bin))
-                         (list "yggdrasil" "yggdrasilctl"))
+                         (list "yggdrasil" "yggdrasilctl" "genkeys"))
                         (mkdir-p doc)
                         (copy-recursively
                          (string-append
@@ -4137,20 +4137,43 @@ (define-public yggdrasil
                       #t)))))
     ;; https://github.com/kardianos/minwinsvc is windows only
     (propagated-inputs
-     `(("go-github-com-arceliar-phony" ,go-github-com-arceliar-phony)
-       ("go-github-com-cheggaaa-pb" ,go-github-com-cheggaaa-pb)
-       ("go-github-com-gologme-log" ,go-github-com-gologme-log)
-       ("go-github-com-hashicorp-go-syslog" ,go-github-com-hashicorp-go-syslog)
-       ("go-github-com-hjson-hjson-go" ,go-github-com-hjson-hjson-go)
-       ("go-github-com-kardianos-minwinsvc" ,go-github-com-kardianos-minwinsvc)
+     `(;;("go-golang-zx2c4-com-wireguard-windows"
+       ;; ,go-golang-zx2c4-com-wireguard-windows)
+       ("go-golang-zx2c4-com-wireguard"
+        ,go-golang-zx2c4-com-wireguard)
+       ("go-golang-org-x-text" ,go-golang-org-x-text)
+       ("go-golang-org-x-sys" ,go-golang-org-x-sys)
+       ("go-golang-org-x-net" ,go-golang-org-x-net)
+       ("go-golang-org-x-crypto"
+        ,go-golang-org-x-crypto)
+       ("go-netns"
+        ,go-netns)
+       ("go-netlink"
+        ,go-netlink)
        ("go-github-com-mitchellh-mapstructure"
         ,go-github-com-mitchellh-mapstructure)
-       ("go-golang-org-x-crypto" ,go-golang-org-x-crypto)
-       ("go-golang-org-x-net" ,go-golang-org-x-net)
-       ("go-golang-org-x-text" ,go-golang-org-x-text)
-       ("go-golang-zx2c4-com-wireguard" ,go-golang-zx2c4-com-wireguard)
-       ("go-netlink" ,go-netlink)
-       ("go-netns" ,go-netns)))
+       ("go-github-com-mattn-go-runewidth"
+        ,go-github-com-mattn-go-runewidth)
+       ("go-github-com-mattn-go-isatty"
+        ,go-github-com-mattn-go-isatty)
+       ("go-github-com-kardianos-minwinsvc"
+        ,go-github-com-kardianos-minwinsvc)
+       ("go-github-com-hjson-hjson-go"
+        ,go-github-com-hjson-hjson-go)
+       ("go-github-com-hashicorp-go-syslog"
+        ,go-github-com-hashicorp-go-syslog)
+       ("go-github-com-gologme-log"
+        ,go-github-com-gologme-log)
+       ("go-github-com-fatih-color"
+        ,go-github-com-fatih-color)
+       ("go-github-com-cheggaaa-pb-v3"
+        ,go-github-com-cheggaaa-pb-v3)
+       ("go-github-com-vividcortex-ewma"
+        ,go-github-com-vividcortex-ewma)
+       ("go-github-com-arceliar-phony"
+        ,go-github-com-arceliar-phony)
+       ("go-github-com-arceliar-ironwood"
+        ,go-github-com-arceliar-ironwood)))
     (home-page "https://yggdrasil-network.github.io/blog.html")
     (synopsis
      "Experiment in scalable routing as an encrypted IPv6 overlay network")
diff --git a/gnu/packages/patches/yggdrasil-extra-config.patch b/gnu/packages/patches/yggdrasil-extra-config.patch
index c21ca29a84..46fd3f15fc 100644
--- a/gnu/packages/patches/yggdrasil-extra-config.patch
+++ b/gnu/packages/patches/yggdrasil-extra-config.patch
@@ -3,25 +3,25 @@ index 813e950..08d35cc 100644
 --- a/cmd/yggdrasil/main.go
 +++ b/cmd/yggdrasil/main.go
 @@ -40,11 +40,12 @@ type node struct {
- 	admin     module.Module // admin.AdminSocket
+ 	admin     *admin.AdminSocket
  }
  
--func readConfig(useconf *bool, useconffile *string, normaliseconf *bool) *config.NodeConfig {
-+func readConfig(useconf *bool, useconffile *string, extraconffile *string, normaliseconf *bool) *config.NodeConfig {
+-func readConfig(log *log.Logger, useconf bool, useconffile string, normaliseconf bool) *config.NodeConfig {
++func readConfig(log *log.Logger, useconf bool, useconffile string, extraconffile string, normaliseconf bool) *config.NodeConfig {
  	// Use a configuration file. If -useconf, the configuration will be read
  	// from stdin. If -useconffile, the configuration will be read from the
  	// filesystem.
  	var conf []byte
 +	var extraconf []byte
  	var err error
- 	if *useconffile != "" {
+ 	if useconffile != "" {
  		// Read the file from the filesystem
 @@ -56,6 +57,21 @@ func readConfig(useconf *bool, useconffile *string, normaliseconf *bool) *config
  	if err != nil {
  		panic(err)
  	}
-+	if *extraconffile != "" {
-+		extraconf, err = ioutil.ReadFile(*extraconffile);
++	if extraconffile != "" {
++		extraconf, err = ioutil.ReadFile(extraconffile);
 +	}
 +	if err != nil {
 +		panic(err)
@@ -30,7 +30,7 @@ index 813e950..08d35cc 100644
 +	// then parse the configuration we loaded above on top of it. The effect
 +	// of this is that any configuration item that is missing from the provided
 +	// configuration will use a sane default.
-+	cfg := config.GenerateConfig()
++	cfg := defaults.GenerateConfig()
 +	var confs [2][]byte
 +	confs[0]=conf
 +	confs[1]=extraconf
@@ -38,7 +38,7 @@ index 813e950..08d35cc 100644
  	// If there's a byte order mark - which Windows 10 is now incredibly fond of
  	// throwing everywhere when it's converting things into UTF-16 for the hell
  	// of it - remove it and decode back down into UTF-8. This is necessary
-@@ -69,11 +85,6 @@ func readConfig(useconf *bool, useconffile *string, normaliseconf *bool) *config
+@@ -69,11 +85,6 @@ func readConfig(log *log.Logger, useconf bool, useconffile string, normaliseconf bool) *config
  			panic(err)
  		}
  	}
@@ -46,11 +46,11 @@ index 813e950..08d35cc 100644
 -	// then parse the configuration we loaded above on top of it. The effect
 -	// of this is that any configuration item that is missing from the provided
 -	// configuration will use a sane default.
--	cfg := config.GenerateConfig()
+-	cfg := defaults.GenerateConfig()
  	var dat map[string]interface{}
  	if err := hjson.Unmarshal(conf, &dat); err != nil {
  		panic(err)
-@@ -112,6 +123,7 @@ func readConfig(useconf *bool, useconffile *string, normaliseconf *bool) *config
+@@ -112,6 +123,7 @@ func readConfig(log *log.Logger, useconf *bool, useconffile *string, normaliseconf *bool) *config
  	if err = mapstructure.Decode(dat, &cfg); err != nil {
  		panic(err)
  	}
@@ -58,6 +58,14 @@ index 813e950..08d35cc 100644
  	return cfg
  }
  
+@@ -185,6 +197,7 @@ func main() {
+ 	genconf       bool
+ 	useconf       bool
+ 	useconffile   string
++	extraconffile string
+ 	normaliseconf bool
+ 	confjson      bool
+ 	autoconf      bool
 @@ -164,6 +176,7 @@ func main() {
  	genconf := flag.Bool("genconf", false, "print a new config to stdout")
  	useconf := flag.Bool("useconf", false, "read HJSON/JSON config from stdin")
@@ -66,21 +74,20 @@ index 813e950..08d35cc 100644
  	normaliseconf := flag.Bool("normaliseconf", false, "use in combination with either -useconf or -useconffile, outputs your configuration normalised")
  	confjson := flag.Bool("json", false, "print configuration from -genconf or -normaliseconf as JSON instead of HJSON")
  	autoconf := flag.Bool("autoconf", false, "automatic mode (dynamic IP, peer with IPv6 neighbors)")
+@@ -212,6 +225,7 @@ func main() {
+ 		genconf:       *genconf,
+ 		useconf:       *useconf,
+ 		useconffile:   *useconffile,
++		extraconffile: *extraconffile,
+ 		normaliseconf: *normaliseconf,
+ 		confjson:      *confjson,
+ 		autoconf:      *autoconf,
 @@ -187,7 +200,7 @@ func main() {
- 		cfg = config.GenerateConfig()
- 	case *useconffile != "" || *useconf:
+ 		cfg = defaults.GenerateConfig()
+ 	case args.useconffile != "" || args.useconf:
  		// Read the configuration from either stdin or from the filesystem
--		cfg = readConfig(useconf, useconffile, normaliseconf)
-+		cfg = readConfig(useconf, useconffile, extraconffile, normaliseconf)
+-		cfg = readConfig(logger, args.useconf, args.useconffile, args.normaliseconf)
++		cfg = readConfig(logger, args.useconf, args.useconffile, args.extraconffile, args.normaliseconf)
  		// If the -normaliseconf option was specified then remarshal the above
  		// configuration and print it back to stdout. This lets the user update
  		// their configuration file with newly mapped names (like above) or to
-@@ -332,7 +345,7 @@ func main() {
- 			goto exit
- 		case _ = <-r:
- 			if *useconffile != "" {
--				cfg = readConfig(useconf, useconffile, normaliseconf)
-+				cfg = readConfig(useconf, useconffile, extraconffile, normaliseconf)
- 				logger.Infoln("Reloading configuration from", *useconffile)
- 				n.core.UpdateConfig(cfg)
- 				n.tuntap.UpdateConfig(cfg)
-- 
2.33.1


--MP_/WI60ugRtXo8tq+uZqIWfQpS
Content-Type: text/x-patch
Content-Transfer-Encoding: 7bit
Content-Disposition: attachment;
 filename=0006-gnu-Add-go-github-com-arceliar-ironwood.patch

From ce6e34a490816fd9c093fec3b9124bff26620e1f Mon Sep 17 00:00:00 2001
From: raingloom <raingloom@HIDDEN>
Date: Tue, 2 Nov 2021 06:50:36 +0000
Subject: [PATCH 6/8] gnu: Add go-github-com-arceliar-ironwood.

* gnu/packages/golang.scm (go-github-com-arceliar-ironwood): New variable.
---
 gnu/packages/golang.scm | 40 ++++++++++++++++++++++++++++++++++++++++
 1 file changed, 40 insertions(+)

diff --git a/gnu/packages/golang.scm b/gnu/packages/golang.scm
index d0435b5469..d8456c8f05 100644
--- a/gnu/packages/golang.scm
+++ b/gnu/packages/golang.scm
@@ -8909,3 +8909,43 @@ (define-public go-github-com-mattn-go-runewidth
     (description
       "Provides functions to get fixed width of the character or string.")
     (license license:expat)))
+
+(define-public go-github-com-arceliar-ironwood
+  (package
+    (name "go-github-com-arceliar-ironwood")
+    (version "0.0.0-20210912013146-c2bc55bb349c")
+    (source
+      (origin
+        (method git-fetch)
+        (uri (git-reference
+               (url "https://github.com/Arceliar/ironwood")
+               (commit (go-version->git-ref version))))
+        (file-name (git-file-name name version))
+        (sha256
+          (base32
+            "1dfkqnkfxwlwcsk8g9r1pv84lfzgn8r1vam13zlmk81cgan2r6fx"))))
+    (build-system go-build-system)
+    (arguments
+      '(#:import-path "github.com/Arceliar/ironwood"
+        #:tests? #f
+        #:phases
+        (modify-phases %standard-phases
+          ;; Source-only package
+          (delete 'build))))
+    (propagated-inputs
+      `(("go-golang-org-x-crypto"
+         ,go-golang-org-x-crypto)
+        ("go-github-com-arceliar-phony"
+         ,go-github-com-arceliar-phony)))
+    (home-page
+      "https://github.com/Arceliar/ironwood")
+    (synopsis "Experimental network routing library")
+    (description
+      "Ironwood is a routing library with a @code{net.PacketConn}-compatible
+interface using @code{ed25519.PublicKey}s as addresses.  Basically, you use it
+when you want to communicate with some other nodes in a network, but you can't
+guarantee that you can directly connect to every node in that network.  It was
+written to test improvements to / replace the routing logic in
+@url{https://github.com/yggdrasil-network/yggdrasil-go,Yggdrasil}, but it may
+be useful for other network applications.")
+    (license license:mpl2.0)))
-- 
2.33.1


--MP_/WI60ugRtXo8tq+uZqIWfQpS
Content-Type: text/x-patch
Content-Transfer-Encoding: 7bit
Content-Disposition: attachment;
 filename=0005-gnu-Rename-go-github-com-cheggaaa-pb-to-go-github-co.patch

From 1b4bfd5a947902f453e47a510ab058ff459412f5 Mon Sep 17 00:00:00 2001
From: raingloom <raingloom@HIDDEN>
Date: Tue, 2 Nov 2021 06:46:57 +0000
Subject: [PATCH 5/8] gnu: Rename go-github-com-cheggaaa-pb to
 go-github-com-cheggaaa-pb-v3.

* gnu/packages/golang.scm:
  (go-github-com-cheggaaa-pb): Rename variable.
  (go-github-com-cheggaaa-pb-v3): New variable.
---
 gnu/packages/golang.scm | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/gnu/packages/golang.scm b/gnu/packages/golang.scm
index 4033806c7f..d0435b5469 100644
--- a/gnu/packages/golang.scm
+++ b/gnu/packages/golang.scm
@@ -7945,9 +7945,9 @@ (define-public go-github-com-arceliar-phony
 inspired by the causal messaging system in the Pony programming language.")
       (license license:expat))))
 
-(define-public go-github-com-cheggaaa-pb
+(define-public go-github-com-cheggaaa-pb-v3
   (package
-    (name "go-github-com-cheggaaa-pb")
+    (name "go-github-com-cheggaaa-pb-v3")
     (version "3.0.8")
     (source
       (origin
-- 
2.33.1


--MP_/WI60ugRtXo8tq+uZqIWfQpS
Content-Type: text/x-patch
Content-Transfer-Encoding: 7bit
Content-Disposition: attachment;
 filename=0004-gnu-go-github-com-cheggaaa-pb-Update-to-3.0.8.patch

From 6a4220dbb3cbb56cc818bd2f2714484e5f8682e4 Mon Sep 17 00:00:00 2001
From: raingloom <raingloom@HIDDEN>
Date: Tue, 2 Nov 2021 06:45:47 +0000
Subject: [PATCH 4/8] gnu: go-github-com-cheggaaa-pb: Update to 3.0.8.

* gnu/packages/golang.scm (go-github-com-cheggaaa-pb): Update to 3.0.8.
---
 gnu/packages/golang.scm | 22 ++++++++++++----------
 1 file changed, 12 insertions(+), 10 deletions(-)

diff --git a/gnu/packages/golang.scm b/gnu/packages/golang.scm
index 63300c265f..4033806c7f 100644
--- a/gnu/packages/golang.scm
+++ b/gnu/packages/golang.scm
@@ -7948,7 +7948,7 @@ (define-public go-github-com-arceliar-phony
 (define-public go-github-com-cheggaaa-pb
   (package
     (name "go-github-com-cheggaaa-pb")
-    (version "3.0.4")
+    (version "3.0.8")
     (source
       (origin
        (method git-fetch)
@@ -7957,18 +7957,20 @@ (define-public go-github-com-cheggaaa-pb
              (commit (string-append "v" version))))
        (file-name (git-file-name name version))
        (sha256
-        (base32
-         "0xhsv9yf3fz918ay6w0d87jnb3hk9vxvi16jk172kqq26x7jixd0"))))
+        (base32 "0d701s2niy39r650d1phjw19h4l27b1yfc2ih6s31f56b3zzqspx"))))
     (build-system go-build-system)
-    (arguments
-     '(#:import-path "github.com/cheggaaa/pb/"))
+    (arguments '(#:import-path "github.com/cheggaaa/pb/v3"
+                 ;; XXX: it does have tests but I'm not sure how to run them.
+                 ;; go-build-system is looking in the wrong directory.
+                 #:tests? #f))
     (propagated-inputs
-     `(("go-github-com-fatih-color" ,go-github-com-fatih-color)
+     `(("go-golang-org-x-sys" ,go-golang-org-x-sys)
+       ("go-github-com-rivo-uniseg" ,go-github-com-rivo-uniseg)
+       ("go-github-com-mattn-go-runewidth" ,go-github-com-mattn-go-runewidth)
+       ("go-github-com-mattn-go-isatty" ,go-github-com-mattn-go-isatty)
        ("go-github-com-mattn-go-colorable" ,go-github-com-mattn-go-colorable)
-       ("go-github.com-mattn-go-runewidth" ,go-github.com-mattn-go-runewidth)
-       ("go-golang-org-x-sys" ,go-golang-org-x-sys)))
-    (native-inputs
-     `(("go-github-com-mattn-go-isatty" ,go-github-com-mattn-go-isatty)))
+       ("go-github-com-fatih-color" ,go-github-com-fatih-color)
+       ("go-github-com-vividcortex-ewma" ,go-github-com-vividcortex-ewma)))
     (home-page "https://github.com/cheggaaa/pb/")
     (synopsis "Console progress bar for Go")
     (description "This package is a Go library that draws progress bars on
-- 
2.33.1


--MP_/WI60ugRtXo8tq+uZqIWfQpS
Content-Type: text/x-patch
Content-Transfer-Encoding: 7bit
Content-Disposition: attachment;
 filename=0003-gnu-Add-go-github-com-mattn-go-runewidth.patch

From a234dd530900d0914a9972ad5a22a1fe303c1bc5 Mon Sep 17 00:00:00 2001
From: raingloom <raingloom@HIDDEN>
Date: Tue, 2 Nov 2021 06:37:17 +0000
Subject: [PATCH 3/8] gnu: Add go-github-com-mattn-go-runewidth.

* gnu/packages/golang.scm (go-github-com-mattn-go-runewidth): New variable.
---
 gnu/packages/golang.scm | 23 +++++++++++++++++++++++
 1 file changed, 23 insertions(+)

diff --git a/gnu/packages/golang.scm b/gnu/packages/golang.scm
index e2fee47b91..63300c265f 100644
--- a/gnu/packages/golang.scm
+++ b/gnu/packages/golang.scm
@@ -8884,3 +8884,26 @@ (define-public go-github-com-rivo-uniseg
 (@url{http://unicode.org/reports/tr29/,http://unicode.org/reports/tr29/}).
 ")
     (license license:expat)))
+
+(define-public go-github-com-mattn-go-runewidth
+  (package
+    (name "go-github-com-mattn-go-runewidth")
+    (version "0.0.13")
+    (source
+      (origin
+        (method git-fetch)
+        (uri (git-reference
+               (url "https://github.com/mattn/go-runewidth")
+               (commit (string-append "v" version))))
+        (file-name (git-file-name name version))
+        (sha256
+          (base32 "1yir0f3wc5z5hnkwhvx5qb6nmpfb05zp2gvfjvna63s8kmla1rrn"))))
+    (build-system go-build-system)
+    (arguments '(#:import-path "github.com/mattn/go-runewidth"))
+    (propagated-inputs
+      `(("go-github-com-rivo-uniseg" ,go-github-com-rivo-uniseg)))
+    (home-page "https://github.com/mattn/go-runewidth")
+    (synopsis "Rune width implementation for Go")
+    (description
+      "Provides functions to get fixed width of the character or string.")
+    (license license:expat)))
-- 
2.33.1


--MP_/WI60ugRtXo8tq+uZqIWfQpS
Content-Type: text/x-patch
Content-Transfer-Encoding: 7bit
Content-Disposition: attachment;
 filename=0002-gnu-Add-go-github-com-rivo-uniseg.patch

From 4732bee7bdbea38292afe9f6b1149986dbfabcb7 Mon Sep 17 00:00:00 2001
From: raingloom <raingloom@HIDDEN>
Date: Tue, 2 Nov 2021 06:37:11 +0000
Subject: [PATCH 2/8] gnu: Add go-github-com-rivo-uniseg.

* gnu/packages/golang.scm (go-github-com-rivo-uniseg): New variable.
---
 gnu/packages/golang.scm | 24 ++++++++++++++++++++++++
 1 file changed, 24 insertions(+)

diff --git a/gnu/packages/golang.scm b/gnu/packages/golang.scm
index 84e7387408..e2fee47b91 100644
--- a/gnu/packages/golang.scm
+++ b/gnu/packages/golang.scm
@@ -8860,3 +8860,27 @@ (define-public go-github-com-vividcortex-ewma
     (description
       "Package ewma implements exponentially weighted moving averages.")
     (license license:expat)))
+
+(define-public go-github-com-rivo-uniseg
+  (package
+    (name "go-github-com-rivo-uniseg")
+    (version "0.2.0")
+    (source
+      (origin
+        (method git-fetch)
+        (uri (git-reference
+               (url "https://github.com/rivo/uniseg")
+               (commit (string-append "v" version))))
+        (file-name (git-file-name name version))
+        (sha256
+          (base32 "0j7h22vfmjj562vr8gpsyrkrwp1pq9ayh5fylv24skxb467g9f0q"))))
+    (build-system go-build-system)
+    (arguments '(#:import-path "github.com/rivo/uniseg"))
+    (home-page "https://github.com/rivo/uniseg")
+    (synopsis "Unicode Text Segmentation for Go")
+    (description
+      "Package uniseg implements Unicode Text Segmentation according to Unicode
+Standard Annex #29
+(@url{http://unicode.org/reports/tr29/,http://unicode.org/reports/tr29/}).
+")
+    (license license:expat)))
-- 
2.33.1


--MP_/WI60ugRtXo8tq+uZqIWfQpS
Content-Type: text/x-patch
Content-Transfer-Encoding: 7bit
Content-Disposition: attachment;
 filename=0001-gnu-Add-go-github-com-vividcortex-ewma.patch

From c11a2cf43ddd6108b57c24ef9669655b677ce276 Mon Sep 17 00:00:00 2001
From: raingloom <raingloom@HIDDEN>
Date: Tue, 2 Nov 2021 06:36:37 +0000
Subject: [PATCH 1/8] gnu: Add go-github-com-vividcortex-ewma.

* gnu/packages/golang.scm (go-github-com-vividcortex-ewma): New variable.
---
 gnu/packages/golang.scm | 21 +++++++++++++++++++++
 1 file changed, 21 insertions(+)

diff --git a/gnu/packages/golang.scm b/gnu/packages/golang.scm
index cc2a4ebc16..84e7387408 100644
--- a/gnu/packages/golang.scm
+++ b/gnu/packages/golang.scm
@@ -8839,3 +8839,24 @@ (define-public go-gopkg-in-djherbis-times-v1
     (description
      "Provides a platform-independent way to get atime, mtime, ctime and btime for files.")
     (license license:expat)))
+
+(define-public go-github-com-vividcortex-ewma
+  (package
+    (name "go-github-com-vividcortex-ewma")
+    (version "1.2.0")
+    (source
+      (origin
+        (method git-fetch)
+        (uri (git-reference
+               (url "https://github.com/VividCortex/ewma")
+               (commit (string-append "v" version))))
+        (file-name (git-file-name name version))
+        (sha256
+          (base32 "0whx516l9nm4n41spagb605ry7kfnz1qha96mcshnfjlahhnnylq"))))
+    (build-system go-build-system)
+    (arguments '(#:import-path "github.com/VividCortex/ewma"))
+    (home-page "https://github.com/VividCortex/ewma")
+    (synopsis "EWMA")
+    (description
+      "Package ewma implements exponentially weighted moving averages.")
+    (license license:expat)))
-- 
2.33.1


--MP_/WI60ugRtXo8tq+uZqIWfQpS--




Information forwarded to guix-patches@HIDDEN:
bug#51565; Package guix-patches. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 22 Nov 2021 21:13:33 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Nov 22 16:13:33 2021
Received: from localhost ([127.0.0.1]:49266 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mpGcz-0002d2-5G
	for submit <at> debbugs.gnu.org; Mon, 22 Nov 2021 16:13:33 -0500
Received: from lists.gnu.org ([209.51.188.17]:57690)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <raingloom@HIDDEN>) id 1mpGcw-0002cr-Kh
 for submit <at> debbugs.gnu.org; Mon, 22 Nov 2021 16:13:28 -0500
Received: from eggs.gnu.org ([209.51.188.92]:58784)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <raingloom@HIDDEN>)
 id 1mpGcw-0006rn-Gz
 for guix-patches@HIDDEN; Mon, 22 Nov 2021 16:13:26 -0500
Received: from mx1.riseup.net ([198.252.153.129]:51628)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <raingloom@HIDDEN>)
 id 1mpGcs-0003PT-50
 for guix-patches@HIDDEN; Mon, 22 Nov 2021 16:13:26 -0500
Received: from fews1.riseup.net (fews1-pn.riseup.net [10.0.1.83])
 (using TLSv1.3 with cipher TLS_AES_256_GCM_SHA384 (256/256 bits)
 key-exchange X25519 server-signature RSA-PSS (2048 bits) server-digest SHA256
 client-signature RSA-PSS (2048 bits) client-digest SHA256)
 (Client CN "mail.riseup.net", Issuer "R3" (not verified))
 by mx1.riseup.net (Postfix) with ESMTPS id 4Hyg3g3ZjgzDrkv;
 Mon, 22 Nov 2021 13:13:19 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=riseup.net; s=squak;
 t=1637615599; bh=/+1z+i7hOqouIHnCUyTYmWvwZy0qlayVRKPK3zofnVM=;
 h=Date:From:To:Cc:Subject:In-Reply-To:References:From;
 b=XbWT87AojnlY64wTa7UUimrUNV+ge7/7paDrV6GtcISYPlyTpKo+QWhqN6jLJpqXV
 x8t1SwCJ8d3Prgd5TrHzl0HwbtRUBaHlE2Ag87MjJrHjrw+Bf+aKW/XKKXy3bvAPT+
 fWE7TheeTHHamDpXIgNkxrZ5pVYKF+m1inJH7P38=
X-Riseup-User-ID: 24970C08E44C81826FBB300124FCD8AEB352670681D9CF6863447A1F5D0081B1
Received: from [127.0.0.1] (localhost [127.0.0.1])
 by fews1.riseup.net (Postfix) with ESMTPSA id 4Hyg3f2S4Fz5vkM;
 Mon, 22 Nov 2021 13:13:18 -0800 (PST)
Date: Mon, 22 Nov 2021 22:13:08 +0100
From: raingloom <raingloom@HIDDEN>
To: pukkamustard <pukkamustard@HIDDEN>
Subject: Re: [bug#51565] PATCH: Update Yggdrasil to new protocol (important
 breaking changes)
Message-ID: <20211122221308.685c9f11@HIDDEN>
In-Reply-To: <86wnl9lcj3.fsf@HIDDEN>
References: <20211102065917.082a2e55@HIDDEN>
	<86wnl9lcj3.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/mixed; boundary="MP_/WI60ugRtXo8tq+uZqIWfQpS"
Received-SPF: pass client-ip=198.252.153.129;
 envelope-from=raingloom@HIDDEN; helo=mx1.riseup.net
X-Spam_score_int: -27
X-Spam_score: -2.8
X-Spam_bar: --
X-Spam_report: (-2.8 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1,
 RCVD_IN_DNSWL_LOW=-0.7, RCVD_IN_MSPIKE_H3=0.001, RCVD_IN_MSPIKE_WL=0.001,
 SPF_HELO_PASS=-0.001, SPF_PASS=-0.001 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.4 (-)
X-Debbugs-Envelope-To: submit
Cc: 51565 <at> debbugs.gnu.org, guix-patches@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.4 (--)

--MP_/WI60ugRtXo8tq+uZqIWfQpS
Content-Type: text/plain; charset=US-ASCII
Content-Transfer-Encoding: 7bit
Content-Disposition: inline

On Mon, 15 Nov 2021 14:10:46 +0000
pukkamustard <pukkamustard@HIDDEN> wrote:

> Thanks for this!
> 
> Some minor changes may be needed to make the linter happy:
> 
> raingloom <raingloom@HIDDEN> writes:
> 
> [..]
> 
> > [3. text/x-patch; 0002-gnu-Add-go-github-com-rivo-uniseg.patch]...  
> 
> Linter complains that a line is too long:
> 
> gnu/packages/golang.scm:8885:0: go-github-com-rivo-uniseg@HIDDEN: line
> 8885 is way too long (93 characters)
> 
> >
> > [4. text/x-patch;
> > 0003-gnu-Add-go-github-com-mattn-go-runewidth.patch]...  
> 
> Linter complains about the synopsis. Maybe: "Go functions for getting
> fixed width of characters or strings"?
> 
> Does seem like a bit of a duplication of the description...
> 
> > [5. text/x-patch;
> > 0004-gnu-go-github-com-cheggaaa-pb-Update-to-3.0.8.patch]...
> >
> > [6. text/x-patch;
> > 0005-gnu-Rename-go-github-com-cheggaaa-pb-to-go-github-co.patch]...
> >
> > [7. text/x-patch;
> > 0006-gnu-Add-go-github-com-arceliar-ironwood.patch]...  
> 
> Lines in descriptions are too long and should be wrapped.
> 
> A synopsis is required. Maybe: "Ironwood is a Go network routing
> library using cryptographic keys as addresses"?

Heck, I think I meant to run the linter but it was getting late and I
just wanted to be done with the patch. Well, here is an updated patch
list.

--MP_/WI60ugRtXo8tq+uZqIWfQpS
Content-Type: text/x-patch
Content-Transfer-Encoding: 7bit
Content-Disposition: attachment;
 filename=0008-gnu-yggdrasil-Update-to-0.4.1.patch

From 776202eb2d0610e51f5168d108ce80a4096b10d4 Mon Sep 17 00:00:00 2001
From: raingloom <raingloom@HIDDEN>
Date: Wed, 3 Nov 2021 21:40:37 +0100
Subject: [PATCH 8/8] gnu: yggdrasil: Update to 0.4.1.

* gnu/packages/networking.scm (yggdrasil): Update to 0.4.1.
* gnu/packages/patches/yggdrasil-extra-config.patch: Update for new version.
---
 gnu/packages/networking.scm                   |  4 +-
 .../patches/yggdrasil-extra-config.patch      | 47 ++++++++++++-------
 2 files changed, 33 insertions(+), 18 deletions(-)

diff --git a/gnu/packages/networking.scm b/gnu/packages/networking.scm
index 62bb3ef07e..22d38fb4fd 100644
--- a/gnu/packages/networking.scm
+++ b/gnu/packages/networking.scm
@@ -4088,7 +4088,7 @@ (define-public nbd
 (define-public yggdrasil
   (package
     (name "yggdrasil")
-    (version "0.4.0")
+    (version "0.4.1")
     (source
      (origin
        (method git-fetch)
@@ -4099,7 +4099,7 @@ (define-public yggdrasil
          (recursive? #t)))
        (file-name (git-file-name name version))
        (sha256
-        (base32 "0mmqw6w5a6ph49xd1yzb7i70xg466k9pi5sdvplhb66x68wipixh"))
+        (base32 "1ajhn0z58ap9jldip7mqj78drmgg4645zfsxsy004cfkm60fasnx"))
        (patches (search-patches "yggdrasil-extra-config.patch"))))
     (build-system go-build-system)
     (arguments
diff --git a/gnu/packages/patches/yggdrasil-extra-config.patch b/gnu/packages/patches/yggdrasil-extra-config.patch
index 46fd3f15fc..bd4bea7b9f 100644
--- a/gnu/packages/patches/yggdrasil-extra-config.patch
+++ b/gnu/packages/patches/yggdrasil-extra-config.patch
@@ -1,8 +1,20 @@
+From 779f980451d20079b34812f7006f2d7230738ad0 Mon Sep 17 00:00:00 2001
+From: csepp <raingloom@HIDDEN>
+Date: Wed, 3 Nov 2021 21:14:54 +0100
+Subject: [PATCH] add extra config file option to yggdrasil command
+
+This is useful in Guix and Nix, because one config file can come
+from the world-readable store and another can be placed directly
+into /etc with much stricter permissions.
+---
+ cmd/yggdrasil/main.go | 29 ++++++++++++++++++++++-------
+ 1 file changed, 22 insertions(+), 7 deletions(-)
+
 diff --git a/cmd/yggdrasil/main.go b/cmd/yggdrasil/main.go
-index 813e950..08d35cc 100644
+index 58b8230..b9df98a 100644
 --- a/cmd/yggdrasil/main.go
 +++ b/cmd/yggdrasil/main.go
-@@ -40,11 +40,12 @@ type node struct {
+@@ -43,11 +43,12 @@ type node struct {
  	admin     *admin.AdminSocket
  }
  
@@ -16,7 +28,7 @@ index 813e950..08d35cc 100644
  	var err error
  	if useconffile != "" {
  		// Read the file from the filesystem
-@@ -56,6 +57,21 @@ func readConfig(useconf *bool, useconffile *string, normaliseconf *bool) *config
+@@ -59,6 +60,21 @@ func readConfig(log *log.Logger, useconf bool, useconffile string, normaliseconf
  	if err != nil {
  		panic(err)
  	}
@@ -38,7 +50,7 @@ index 813e950..08d35cc 100644
  	// If there's a byte order mark - which Windows 10 is now incredibly fond of
  	// throwing everywhere when it's converting things into UTF-16 for the hell
  	// of it - remove it and decode back down into UTF-8. This is necessary
-@@ -69,11 +85,6 @@ func readConfig(log *log.Logger, useconf bool, useconffile string, normaliseconf bool) *config
+@@ -72,11 +88,6 @@ func readConfig(log *log.Logger, useconf bool, useconffile string, normaliseconf
  			panic(err)
  		}
  	}
@@ -50,7 +62,7 @@ index 813e950..08d35cc 100644
  	var dat map[string]interface{}
  	if err := hjson.Unmarshal(conf, &dat); err != nil {
  		panic(err)
-@@ -112,6 +123,7 @@ func readConfig(log *log.Logger, useconf *bool, useconffile *string, normaliseconf *bool) *config
+@@ -136,6 +147,7 @@ func readConfig(log *log.Logger, useconf bool, useconffile string, normaliseconf
  	if err = mapstructure.Decode(dat, &cfg); err != nil {
  		panic(err)
  	}
@@ -58,15 +70,15 @@ index 813e950..08d35cc 100644
  	return cfg
  }
  
-@@ -185,6 +197,7 @@ func main() {
- 	genconf       bool
- 	useconf       bool
+@@ -192,6 +204,7 @@ type yggArgs struct {
+ 	getaddr       bool
+ 	getsnet       bool
  	useconffile   string
-+	extraconffile string
- 	normaliseconf bool
- 	confjson      bool
- 	autoconf      bool
-@@ -164,6 +176,7 @@ func main() {
++        extraconffile string
+ 	logto         string
+ 	loglevel      string
+ }
+@@ -200,6 +213,7 @@ func getArgs() yggArgs {
  	genconf := flag.Bool("genconf", false, "print a new config to stdout")
  	useconf := flag.Bool("useconf", false, "read HJSON/JSON config from stdin")
  	useconffile := flag.String("useconffile", "", "read HJSON/JSON config from specified file path")
@@ -74,15 +86,15 @@ index 813e950..08d35cc 100644
  	normaliseconf := flag.Bool("normaliseconf", false, "use in combination with either -useconf or -useconffile, outputs your configuration normalised")
  	confjson := flag.Bool("json", false, "print configuration from -genconf or -normaliseconf as JSON instead of HJSON")
  	autoconf := flag.Bool("autoconf", false, "automatic mode (dynamic IP, peer with IPv6 neighbors)")
-@@ -212,6 +225,7 @@ func main() {
+@@ -213,6 +227,7 @@ func getArgs() yggArgs {
  		genconf:       *genconf,
  		useconf:       *useconf,
  		useconffile:   *useconffile,
-+		extraconffile: *extraconffile,
++                extraconffile: *extraconffile,
  		normaliseconf: *normaliseconf,
  		confjson:      *confjson,
  		autoconf:      *autoconf,
-@@ -187,7 +200,7 @@ func main() {
+@@ -265,7 +280,7 @@ func run(args yggArgs, ctx context.Context, done chan struct{}) {
  		cfg = defaults.GenerateConfig()
  	case args.useconffile != "" || args.useconf:
  		// Read the configuration from either stdin or from the filesystem
@@ -91,3 +103,6 @@ index 813e950..08d35cc 100644
  		// If the -normaliseconf option was specified then remarshal the above
  		// configuration and print it back to stdout. This lets the user update
  		// their configuration file with newly mapped names (like above) or to
+-- 
+2.33.1
+
-- 
2.33.1


--MP_/WI60ugRtXo8tq+uZqIWfQpS
Content-Type: text/x-patch
Content-Transfer-Encoding: 7bit
Content-Disposition: attachment;
 filename=0007-gnu-yggdrasil-Update-to-0.4.0.patch

From 230ce36ac9e9afb962fd875124cafa6a97dcf256 Mon Sep 17 00:00:00 2001
From: raingloom <raingloom@HIDDEN>
Date: Tue, 2 Nov 2021 06:51:10 +0000
Subject: [PATCH 7/8] gnu: yggdrasil: Update to 0.4.0.

* gnu/packages/patches/yggdrasil-extra-config.patch: Update patch.
* gnu/packages/networking.scm (yggdrasil): Update to 0.4.0.
[propagated-inputs]: Remove go-github-com-cheggaaa-pb; add go-golang-org-x-sys,
go-github-com-mattn-go-runewidth, go-github-com-mattn-go-isatty,
go-github-com-fatih-color, go-github-com-cheggaaa-pb-v3,
go-github-com-vividcortex-ewma, and go-github-com-arceliar-ironwood.
---
 gnu/packages/networking.scm                   | 55 +++++++++++++------
 .../patches/yggdrasil-extra-config.patch      | 53 ++++++++++--------
 2 files changed, 69 insertions(+), 39 deletions(-)

diff --git a/gnu/packages/networking.scm b/gnu/packages/networking.scm
index 02041924f6..62bb3ef07e 100644
--- a/gnu/packages/networking.scm
+++ b/gnu/packages/networking.scm
@@ -4088,7 +4088,7 @@ (define-public nbd
 (define-public yggdrasil
   (package
     (name "yggdrasil")
-    (version "0.3.16")
+    (version "0.4.0")
     (source
      (origin
        (method git-fetch)
@@ -4099,7 +4099,7 @@ (define-public yggdrasil
          (recursive? #t)))
        (file-name (git-file-name name version))
        (sha256
-        (base32 "0vyd7a333hwn6j1lv1g9sicw74a4qk982bsi3cfdhjlv6hsjwmil"))
+        (base32 "0mmqw6w5a6ph49xd1yzb7i70xg466k9pi5sdvplhb66x68wipixh"))
        (patches (search-patches "yggdrasil-extra-config.patch"))))
     (build-system go-build-system)
     (arguments
@@ -4116,7 +4116,7 @@ (define-public yggdrasil
                           "go" "build" "-v" "-ldflags=-s -w"
                           (string-append
                            "github.com/yggdrasil-network/yggdrasil-go/cmd/" c)))
-                       (list "yggdrasil" "yggdrasilctl"))
+                       (list "yggdrasil" "yggdrasilctl" "genkeys"))
                       #t))
                   (replace 'install
                     (lambda* (#:key outputs #:allow-other-keys)
@@ -4127,7 +4127,7 @@ (define-public yggdrasil
                         (for-each
                          (lambda (f)
                            (install-file f bin))
-                         (list "yggdrasil" "yggdrasilctl"))
+                         (list "yggdrasil" "yggdrasilctl" "genkeys"))
                         (mkdir-p doc)
                         (copy-recursively
                          (string-append
@@ -4137,20 +4137,43 @@ (define-public yggdrasil
                       #t)))))
     ;; https://github.com/kardianos/minwinsvc is windows only
     (propagated-inputs
-     `(("go-github-com-arceliar-phony" ,go-github-com-arceliar-phony)
-       ("go-github-com-cheggaaa-pb" ,go-github-com-cheggaaa-pb)
-       ("go-github-com-gologme-log" ,go-github-com-gologme-log)
-       ("go-github-com-hashicorp-go-syslog" ,go-github-com-hashicorp-go-syslog)
-       ("go-github-com-hjson-hjson-go" ,go-github-com-hjson-hjson-go)
-       ("go-github-com-kardianos-minwinsvc" ,go-github-com-kardianos-minwinsvc)
+     `(;;("go-golang-zx2c4-com-wireguard-windows"
+       ;; ,go-golang-zx2c4-com-wireguard-windows)
+       ("go-golang-zx2c4-com-wireguard"
+        ,go-golang-zx2c4-com-wireguard)
+       ("go-golang-org-x-text" ,go-golang-org-x-text)
+       ("go-golang-org-x-sys" ,go-golang-org-x-sys)
+       ("go-golang-org-x-net" ,go-golang-org-x-net)
+       ("go-golang-org-x-crypto"
+        ,go-golang-org-x-crypto)
+       ("go-netns"
+        ,go-netns)
+       ("go-netlink"
+        ,go-netlink)
        ("go-github-com-mitchellh-mapstructure"
         ,go-github-com-mitchellh-mapstructure)
-       ("go-golang-org-x-crypto" ,go-golang-org-x-crypto)
-       ("go-golang-org-x-net" ,go-golang-org-x-net)
-       ("go-golang-org-x-text" ,go-golang-org-x-text)
-       ("go-golang-zx2c4-com-wireguard" ,go-golang-zx2c4-com-wireguard)
-       ("go-netlink" ,go-netlink)
-       ("go-netns" ,go-netns)))
+       ("go-github-com-mattn-go-runewidth"
+        ,go-github-com-mattn-go-runewidth)
+       ("go-github-com-mattn-go-isatty"
+        ,go-github-com-mattn-go-isatty)
+       ("go-github-com-kardianos-minwinsvc"
+        ,go-github-com-kardianos-minwinsvc)
+       ("go-github-com-hjson-hjson-go"
+        ,go-github-com-hjson-hjson-go)
+       ("go-github-com-hashicorp-go-syslog"
+        ,go-github-com-hashicorp-go-syslog)
+       ("go-github-com-gologme-log"
+        ,go-github-com-gologme-log)
+       ("go-github-com-fatih-color"
+        ,go-github-com-fatih-color)
+       ("go-github-com-cheggaaa-pb-v3"
+        ,go-github-com-cheggaaa-pb-v3)
+       ("go-github-com-vividcortex-ewma"
+        ,go-github-com-vividcortex-ewma)
+       ("go-github-com-arceliar-phony"
+        ,go-github-com-arceliar-phony)
+       ("go-github-com-arceliar-ironwood"
+        ,go-github-com-arceliar-ironwood)))
     (home-page "https://yggdrasil-network.github.io/blog.html")
     (synopsis
      "Experiment in scalable routing as an encrypted IPv6 overlay network")
diff --git a/gnu/packages/patches/yggdrasil-extra-config.patch b/gnu/packages/patches/yggdrasil-extra-config.patch
index c21ca29a84..46fd3f15fc 100644
--- a/gnu/packages/patches/yggdrasil-extra-config.patch
+++ b/gnu/packages/patches/yggdrasil-extra-config.patch
@@ -3,25 +3,25 @@ index 813e950..08d35cc 100644
 --- a/cmd/yggdrasil/main.go
 +++ b/cmd/yggdrasil/main.go
 @@ -40,11 +40,12 @@ type node struct {
- 	admin     module.Module // admin.AdminSocket
+ 	admin     *admin.AdminSocket
  }
  
--func readConfig(useconf *bool, useconffile *string, normaliseconf *bool) *config.NodeConfig {
-+func readConfig(useconf *bool, useconffile *string, extraconffile *string, normaliseconf *bool) *config.NodeConfig {
+-func readConfig(log *log.Logger, useconf bool, useconffile string, normaliseconf bool) *config.NodeConfig {
++func readConfig(log *log.Logger, useconf bool, useconffile string, extraconffile string, normaliseconf bool) *config.NodeConfig {
  	// Use a configuration file. If -useconf, the configuration will be read
  	// from stdin. If -useconffile, the configuration will be read from the
  	// filesystem.
  	var conf []byte
 +	var extraconf []byte
  	var err error
- 	if *useconffile != "" {
+ 	if useconffile != "" {
  		// Read the file from the filesystem
 @@ -56,6 +57,21 @@ func readConfig(useconf *bool, useconffile *string, normaliseconf *bool) *config
  	if err != nil {
  		panic(err)
  	}
-+	if *extraconffile != "" {
-+		extraconf, err = ioutil.ReadFile(*extraconffile);
++	if extraconffile != "" {
++		extraconf, err = ioutil.ReadFile(extraconffile);
 +	}
 +	if err != nil {
 +		panic(err)
@@ -30,7 +30,7 @@ index 813e950..08d35cc 100644
 +	// then parse the configuration we loaded above on top of it. The effect
 +	// of this is that any configuration item that is missing from the provided
 +	// configuration will use a sane default.
-+	cfg := config.GenerateConfig()
++	cfg := defaults.GenerateConfig()
 +	var confs [2][]byte
 +	confs[0]=conf
 +	confs[1]=extraconf
@@ -38,7 +38,7 @@ index 813e950..08d35cc 100644
  	// If there's a byte order mark - which Windows 10 is now incredibly fond of
  	// throwing everywhere when it's converting things into UTF-16 for the hell
  	// of it - remove it and decode back down into UTF-8. This is necessary
-@@ -69,11 +85,6 @@ func readConfig(useconf *bool, useconffile *string, normaliseconf *bool) *config
+@@ -69,11 +85,6 @@ func readConfig(log *log.Logger, useconf bool, useconffile string, normaliseconf bool) *config
  			panic(err)
  		}
  	}
@@ -46,11 +46,11 @@ index 813e950..08d35cc 100644
 -	// then parse the configuration we loaded above on top of it. The effect
 -	// of this is that any configuration item that is missing from the provided
 -	// configuration will use a sane default.
--	cfg := config.GenerateConfig()
+-	cfg := defaults.GenerateConfig()
  	var dat map[string]interface{}
  	if err := hjson.Unmarshal(conf, &dat); err != nil {
  		panic(err)
-@@ -112,6 +123,7 @@ func readConfig(useconf *bool, useconffile *string, normaliseconf *bool) *config
+@@ -112,6 +123,7 @@ func readConfig(log *log.Logger, useconf *bool, useconffile *string, normaliseconf *bool) *config
  	if err = mapstructure.Decode(dat, &cfg); err != nil {
  		panic(err)
  	}
@@ -58,6 +58,14 @@ index 813e950..08d35cc 100644
  	return cfg
  }
  
+@@ -185,6 +197,7 @@ func main() {
+ 	genconf       bool
+ 	useconf       bool
+ 	useconffile   string
++	extraconffile string
+ 	normaliseconf bool
+ 	confjson      bool
+ 	autoconf      bool
 @@ -164,6 +176,7 @@ func main() {
  	genconf := flag.Bool("genconf", false, "print a new config to stdout")
  	useconf := flag.Bool("useconf", false, "read HJSON/JSON config from stdin")
@@ -66,21 +74,20 @@ index 813e950..08d35cc 100644
  	normaliseconf := flag.Bool("normaliseconf", false, "use in combination with either -useconf or -useconffile, outputs your configuration normalised")
  	confjson := flag.Bool("json", false, "print configuration from -genconf or -normaliseconf as JSON instead of HJSON")
  	autoconf := flag.Bool("autoconf", false, "automatic mode (dynamic IP, peer with IPv6 neighbors)")
+@@ -212,6 +225,7 @@ func main() {
+ 		genconf:       *genconf,
+ 		useconf:       *useconf,
+ 		useconffile:   *useconffile,
++		extraconffile: *extraconffile,
+ 		normaliseconf: *normaliseconf,
+ 		confjson:      *confjson,
+ 		autoconf:      *autoconf,
 @@ -187,7 +200,7 @@ func main() {
- 		cfg = config.GenerateConfig()
- 	case *useconffile != "" || *useconf:
+ 		cfg = defaults.GenerateConfig()
+ 	case args.useconffile != "" || args.useconf:
  		// Read the configuration from either stdin or from the filesystem
--		cfg = readConfig(useconf, useconffile, normaliseconf)
-+		cfg = readConfig(useconf, useconffile, extraconffile, normaliseconf)
+-		cfg = readConfig(logger, args.useconf, args.useconffile, args.normaliseconf)
++		cfg = readConfig(logger, args.useconf, args.useconffile, args.extraconffile, args.normaliseconf)
  		// If the -normaliseconf option was specified then remarshal the above
  		// configuration and print it back to stdout. This lets the user update
  		// their configuration file with newly mapped names (like above) or to
-@@ -332,7 +345,7 @@ func main() {
- 			goto exit
- 		case _ = <-r:
- 			if *useconffile != "" {
--				cfg = readConfig(useconf, useconffile, normaliseconf)
-+				cfg = readConfig(useconf, useconffile, extraconffile, normaliseconf)
- 				logger.Infoln("Reloading configuration from", *useconffile)
- 				n.core.UpdateConfig(cfg)
- 				n.tuntap.UpdateConfig(cfg)
-- 
2.33.1


--MP_/WI60ugRtXo8tq+uZqIWfQpS
Content-Type: text/x-patch
Content-Transfer-Encoding: 7bit
Content-Disposition: attachment;
 filename=0006-gnu-Add-go-github-com-arceliar-ironwood.patch

From ce6e34a490816fd9c093fec3b9124bff26620e1f Mon Sep 17 00:00:00 2001
From: raingloom <raingloom@HIDDEN>
Date: Tue, 2 Nov 2021 06:50:36 +0000
Subject: [PATCH 6/8] gnu: Add go-github-com-arceliar-ironwood.

* gnu/packages/golang.scm (go-github-com-arceliar-ironwood): New variable.
---
 gnu/packages/golang.scm | 40 ++++++++++++++++++++++++++++++++++++++++
 1 file changed, 40 insertions(+)

diff --git a/gnu/packages/golang.scm b/gnu/packages/golang.scm
index d0435b5469..d8456c8f05 100644
--- a/gnu/packages/golang.scm
+++ b/gnu/packages/golang.scm
@@ -8909,3 +8909,43 @@ (define-public go-github-com-mattn-go-runewidth
     (description
       "Provides functions to get fixed width of the character or string.")
     (license license:expat)))
+
+(define-public go-github-com-arceliar-ironwood
+  (package
+    (name "go-github-com-arceliar-ironwood")
+    (version "0.0.0-20210912013146-c2bc55bb349c")
+    (source
+      (origin
+        (method git-fetch)
+        (uri (git-reference
+               (url "https://github.com/Arceliar/ironwood")
+               (commit (go-version->git-ref version))))
+        (file-name (git-file-name name version))
+        (sha256
+          (base32
+            "1dfkqnkfxwlwcsk8g9r1pv84lfzgn8r1vam13zlmk81cgan2r6fx"))))
+    (build-system go-build-system)
+    (arguments
+      '(#:import-path "github.com/Arceliar/ironwood"
+        #:tests? #f
+        #:phases
+        (modify-phases %standard-phases
+          ;; Source-only package
+          (delete 'build))))
+    (propagated-inputs
+      `(("go-golang-org-x-crypto"
+         ,go-golang-org-x-crypto)
+        ("go-github-com-arceliar-phony"
+         ,go-github-com-arceliar-phony)))
+    (home-page
+      "https://github.com/Arceliar/ironwood")
+    (synopsis "Experimental network routing library")
+    (description
+      "Ironwood is a routing library with a @code{net.PacketConn}-compatible
+interface using @code{ed25519.PublicKey}s as addresses.  Basically, you use it
+when you want to communicate with some other nodes in a network, but you can't
+guarantee that you can directly connect to every node in that network.  It was
+written to test improvements to / replace the routing logic in
+@url{https://github.com/yggdrasil-network/yggdrasil-go,Yggdrasil}, but it may
+be useful for other network applications.")
+    (license license:mpl2.0)))
-- 
2.33.1


--MP_/WI60ugRtXo8tq+uZqIWfQpS
Content-Type: text/x-patch
Content-Transfer-Encoding: 7bit
Content-Disposition: attachment;
 filename=0005-gnu-Rename-go-github-com-cheggaaa-pb-to-go-github-co.patch

From 1b4bfd5a947902f453e47a510ab058ff459412f5 Mon Sep 17 00:00:00 2001
From: raingloom <raingloom@HIDDEN>
Date: Tue, 2 Nov 2021 06:46:57 +0000
Subject: [PATCH 5/8] gnu: Rename go-github-com-cheggaaa-pb to
 go-github-com-cheggaaa-pb-v3.

* gnu/packages/golang.scm:
  (go-github-com-cheggaaa-pb): Rename variable.
  (go-github-com-cheggaaa-pb-v3): New variable.
---
 gnu/packages/golang.scm | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/gnu/packages/golang.scm b/gnu/packages/golang.scm
index 4033806c7f..d0435b5469 100644
--- a/gnu/packages/golang.scm
+++ b/gnu/packages/golang.scm
@@ -7945,9 +7945,9 @@ (define-public go-github-com-arceliar-phony
 inspired by the causal messaging system in the Pony programming language.")
       (license license:expat))))
 
-(define-public go-github-com-cheggaaa-pb
+(define-public go-github-com-cheggaaa-pb-v3
   (package
-    (name "go-github-com-cheggaaa-pb")
+    (name "go-github-com-cheggaaa-pb-v3")
     (version "3.0.8")
     (source
       (origin
-- 
2.33.1


--MP_/WI60ugRtXo8tq+uZqIWfQpS
Content-Type: text/x-patch
Content-Transfer-Encoding: 7bit
Content-Disposition: attachment;
 filename=0004-gnu-go-github-com-cheggaaa-pb-Update-to-3.0.8.patch

From 6a4220dbb3cbb56cc818bd2f2714484e5f8682e4 Mon Sep 17 00:00:00 2001
From: raingloom <raingloom@HIDDEN>
Date: Tue, 2 Nov 2021 06:45:47 +0000
Subject: [PATCH 4/8] gnu: go-github-com-cheggaaa-pb: Update to 3.0.8.

* gnu/packages/golang.scm (go-github-com-cheggaaa-pb): Update to 3.0.8.
---
 gnu/packages/golang.scm | 22 ++++++++++++----------
 1 file changed, 12 insertions(+), 10 deletions(-)

diff --git a/gnu/packages/golang.scm b/gnu/packages/golang.scm
index 63300c265f..4033806c7f 100644
--- a/gnu/packages/golang.scm
+++ b/gnu/packages/golang.scm
@@ -7948,7 +7948,7 @@ (define-public go-github-com-arceliar-phony
 (define-public go-github-com-cheggaaa-pb
   (package
     (name "go-github-com-cheggaaa-pb")
-    (version "3.0.4")
+    (version "3.0.8")
     (source
       (origin
        (method git-fetch)
@@ -7957,18 +7957,20 @@ (define-public go-github-com-cheggaaa-pb
              (commit (string-append "v" version))))
        (file-name (git-file-name name version))
        (sha256
-        (base32
-         "0xhsv9yf3fz918ay6w0d87jnb3hk9vxvi16jk172kqq26x7jixd0"))))
+        (base32 "0d701s2niy39r650d1phjw19h4l27b1yfc2ih6s31f56b3zzqspx"))))
     (build-system go-build-system)
-    (arguments
-     '(#:import-path "github.com/cheggaaa/pb/"))
+    (arguments '(#:import-path "github.com/cheggaaa/pb/v3"
+                 ;; XXX: it does have tests but I'm not sure how to run them.
+                 ;; go-build-system is looking in the wrong directory.
+                 #:tests? #f))
     (propagated-inputs
-     `(("go-github-com-fatih-color" ,go-github-com-fatih-color)
+     `(("go-golang-org-x-sys" ,go-golang-org-x-sys)
+       ("go-github-com-rivo-uniseg" ,go-github-com-rivo-uniseg)
+       ("go-github-com-mattn-go-runewidth" ,go-github-com-mattn-go-runewidth)
+       ("go-github-com-mattn-go-isatty" ,go-github-com-mattn-go-isatty)
        ("go-github-com-mattn-go-colorable" ,go-github-com-mattn-go-colorable)
-       ("go-github.com-mattn-go-runewidth" ,go-github.com-mattn-go-runewidth)
-       ("go-golang-org-x-sys" ,go-golang-org-x-sys)))
-    (native-inputs
-     `(("go-github-com-mattn-go-isatty" ,go-github-com-mattn-go-isatty)))
+       ("go-github-com-fatih-color" ,go-github-com-fatih-color)
+       ("go-github-com-vividcortex-ewma" ,go-github-com-vividcortex-ewma)))
     (home-page "https://github.com/cheggaaa/pb/")
     (synopsis "Console progress bar for Go")
     (description "This package is a Go library that draws progress bars on
-- 
2.33.1


--MP_/WI60ugRtXo8tq+uZqIWfQpS
Content-Type: text/x-patch
Content-Transfer-Encoding: 7bit
Content-Disposition: attachment;
 filename=0003-gnu-Add-go-github-com-mattn-go-runewidth.patch

From a234dd530900d0914a9972ad5a22a1fe303c1bc5 Mon Sep 17 00:00:00 2001
From: raingloom <raingloom@HIDDEN>
Date: Tue, 2 Nov 2021 06:37:17 +0000
Subject: [PATCH 3/8] gnu: Add go-github-com-mattn-go-runewidth.

* gnu/packages/golang.scm (go-github-com-mattn-go-runewidth): New variable.
---
 gnu/packages/golang.scm | 23 +++++++++++++++++++++++
 1 file changed, 23 insertions(+)

diff --git a/gnu/packages/golang.scm b/gnu/packages/golang.scm
index e2fee47b91..63300c265f 100644
--- a/gnu/packages/golang.scm
+++ b/gnu/packages/golang.scm
@@ -8884,3 +8884,26 @@ (define-public go-github-com-rivo-uniseg
 (@url{http://unicode.org/reports/tr29/,http://unicode.org/reports/tr29/}).
 ")
     (license license:expat)))
+
+(define-public go-github-com-mattn-go-runewidth
+  (package
+    (name "go-github-com-mattn-go-runewidth")
+    (version "0.0.13")
+    (source
+      (origin
+        (method git-fetch)
+        (uri (git-reference
+               (url "https://github.com/mattn/go-runewidth")
+               (commit (string-append "v" version))))
+        (file-name (git-file-name name version))
+        (sha256
+          (base32 "1yir0f3wc5z5hnkwhvx5qb6nmpfb05zp2gvfjvna63s8kmla1rrn"))))
+    (build-system go-build-system)
+    (arguments '(#:import-path "github.com/mattn/go-runewidth"))
+    (propagated-inputs
+      `(("go-github-com-rivo-uniseg" ,go-github-com-rivo-uniseg)))
+    (home-page "https://github.com/mattn/go-runewidth")
+    (synopsis "Rune width implementation for Go")
+    (description
+      "Provides functions to get fixed width of the character or string.")
+    (license license:expat)))
-- 
2.33.1


--MP_/WI60ugRtXo8tq+uZqIWfQpS
Content-Type: text/x-patch
Content-Transfer-Encoding: 7bit
Content-Disposition: attachment;
 filename=0002-gnu-Add-go-github-com-rivo-uniseg.patch

From 4732bee7bdbea38292afe9f6b1149986dbfabcb7 Mon Sep 17 00:00:00 2001
From: raingloom <raingloom@HIDDEN>
Date: Tue, 2 Nov 2021 06:37:11 +0000
Subject: [PATCH 2/8] gnu: Add go-github-com-rivo-uniseg.

* gnu/packages/golang.scm (go-github-com-rivo-uniseg): New variable.
---
 gnu/packages/golang.scm | 24 ++++++++++++++++++++++++
 1 file changed, 24 insertions(+)

diff --git a/gnu/packages/golang.scm b/gnu/packages/golang.scm
index 84e7387408..e2fee47b91 100644
--- a/gnu/packages/golang.scm
+++ b/gnu/packages/golang.scm
@@ -8860,3 +8860,27 @@ (define-public go-github-com-vividcortex-ewma
     (description
       "Package ewma implements exponentially weighted moving averages.")
     (license license:expat)))
+
+(define-public go-github-com-rivo-uniseg
+  (package
+    (name "go-github-com-rivo-uniseg")
+    (version "0.2.0")
+    (source
+      (origin
+        (method git-fetch)
+        (uri (git-reference
+               (url "https://github.com/rivo/uniseg")
+               (commit (string-append "v" version))))
+        (file-name (git-file-name name version))
+        (sha256
+          (base32 "0j7h22vfmjj562vr8gpsyrkrwp1pq9ayh5fylv24skxb467g9f0q"))))
+    (build-system go-build-system)
+    (arguments '(#:import-path "github.com/rivo/uniseg"))
+    (home-page "https://github.com/rivo/uniseg")
+    (synopsis "Unicode Text Segmentation for Go")
+    (description
+      "Package uniseg implements Unicode Text Segmentation according to Unicode
+Standard Annex #29
+(@url{http://unicode.org/reports/tr29/,http://unicode.org/reports/tr29/}).
+")
+    (license license:expat)))
-- 
2.33.1


--MP_/WI60ugRtXo8tq+uZqIWfQpS
Content-Type: text/x-patch
Content-Transfer-Encoding: 7bit
Content-Disposition: attachment;
 filename=0001-gnu-Add-go-github-com-vividcortex-ewma.patch

From c11a2cf43ddd6108b57c24ef9669655b677ce276 Mon Sep 17 00:00:00 2001
From: raingloom <raingloom@HIDDEN>
Date: Tue, 2 Nov 2021 06:36:37 +0000
Subject: [PATCH 1/8] gnu: Add go-github-com-vividcortex-ewma.

* gnu/packages/golang.scm (go-github-com-vividcortex-ewma): New variable.
---
 gnu/packages/golang.scm | 21 +++++++++++++++++++++
 1 file changed, 21 insertions(+)

diff --git a/gnu/packages/golang.scm b/gnu/packages/golang.scm
index cc2a4ebc16..84e7387408 100644
--- a/gnu/packages/golang.scm
+++ b/gnu/packages/golang.scm
@@ -8839,3 +8839,24 @@ (define-public go-gopkg-in-djherbis-times-v1
     (description
      "Provides a platform-independent way to get atime, mtime, ctime and btime for files.")
     (license license:expat)))
+
+(define-public go-github-com-vividcortex-ewma
+  (package
+    (name "go-github-com-vividcortex-ewma")
+    (version "1.2.0")
+    (source
+      (origin
+        (method git-fetch)
+        (uri (git-reference
+               (url "https://github.com/VividCortex/ewma")
+               (commit (string-append "v" version))))
+        (file-name (git-file-name name version))
+        (sha256
+          (base32 "0whx516l9nm4n41spagb605ry7kfnz1qha96mcshnfjlahhnnylq"))))
+    (build-system go-build-system)
+    (arguments '(#:import-path "github.com/VividCortex/ewma"))
+    (home-page "https://github.com/VividCortex/ewma")
+    (synopsis "EWMA")
+    (description
+      "Package ewma implements exponentially weighted moving averages.")
+    (license license:expat)))
-- 
2.33.1


--MP_/WI60ugRtXo8tq+uZqIWfQpS--




Information forwarded to guix-patches@HIDDEN:
bug#51565; Package guix-patches. Full text available.

Message received at 51565 <at> debbugs.gnu.org:


Received: (at 51565) by debbugs.gnu.org; 15 Nov 2021 14:27:40 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Nov 15 09:27:40 2021
Received: from localhost ([127.0.0.1]:53130 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mmcxQ-0001Mp-0E
	for submit <at> debbugs.gnu.org; Mon, 15 Nov 2021 09:27:40 -0500
Received: from mout02.posteo.de ([185.67.36.66]:41383)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <pukkamustard@HIDDEN>) id 1mmcxN-0001MV-QV
 for 51565 <at> debbugs.gnu.org; Mon, 15 Nov 2021 09:27:38 -0500
Received: from submission (posteo.de [89.146.220.130]) 
 by mout02.posteo.de (Postfix) with ESMTPS id E0022240103
 for <51565 <at> debbugs.gnu.org>; Mon, 15 Nov 2021 15:27:31 +0100 (CET)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=posteo.net; s=2017;
 t=1636986451; bh=AQHd7djq1IlIOPLPExydnGIpyDuxjnzF3nlf4ID9NtE=;
 h=From:To:Cc:Subject:Date:From;
 b=dkanBugdOBKr42IHCs8XKxARHHWfVn0hPqZgiR44D0unx1We0Ll/NQ+8FO7seZbey
 lIHdPHfJC3KJgVJJWSg8n4cIO47fAi+WWAyjSuiupg+dQjGtI+m8gBOCMkBtHM6rpx
 s6VIYBNGc3pOiyls38WPhEA2dGSFSSBQSM9NPzYF4CkS+b1k/k6V6K+xhNIHPvhjm4
 DncqU8NLzItiEt5kXeBwJV7AoWLAjzoob1b4SwX/CySsTpvR2DUxxjV/7bHf/MYdnp
 TASzmK7ClrjksfkR3GM1WNBf3u5HdqbeFoVRg+zWU9yXTr0kJoqNr7oVTeh5nCCSSQ
 EY6sKK2Z9gFXA==
Received: from customer (localhost [127.0.0.1])
 by submission (posteo.de) with ESMTPSA id 4HtBNd6KGHz6tqg;
 Mon, 15 Nov 2021 15:27:29 +0100 (CET)
References: <20211102065917.082a2e55@HIDDEN>
From: pukkamustard <pukkamustard@HIDDEN>
To: raingloom <raingloom@HIDDEN>
Subject: Re: [bug#51565] PATCH: Update Yggdrasil to new protocol (important
 breaking changes)
Date: Mon, 15 Nov 2021 14:10:46 +0000
In-reply-to: <20211102065917.082a2e55@HIDDEN>
Message-ID: <86wnl9lcj3.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 51565
Cc: 51565 <at> debbugs.gnu.org, guix-patches@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)


Thanks for this!

Some minor changes may be needed to make the linter happy:

raingloom <raingloom@HIDDEN> writes:

[..]

> [3. text/x-patch; 0002-gnu-Add-go-github-com-rivo-uniseg.patch]...

Linter complains that a line is too long:

gnu/packages/golang.scm:8885:0: go-github-com-rivo-uniseg@HIDDEN: line 8885 is way too long (93 characters)

>
> [4. text/x-patch; 0003-gnu-Add-go-github-com-mattn-go-runewidth.patch]...

Linter complains about the synopsis. Maybe: "Go functions for getting
fixed width of characters or strings"?

Does seem like a bit of a duplication of the description...

> [5. text/x-patch; 0004-gnu-go-github-com-cheggaaa-pb-Update-to-3.0.8.patch]...
>
> [6. text/x-patch; 0005-gnu-Rename-go-github-com-cheggaaa-pb-to-go-github-co.patch]...
>
> [7. text/x-patch; 0006-gnu-Add-go-github-com-arceliar-ironwood.patch]...

Lines in descriptions are too long and should be wrapped.

A synopsis is required. Maybe: "Ironwood is a Go network routing library
using cryptographic keys as addresses"?




Information forwarded to guix-patches@HIDDEN:
bug#51565; Package guix-patches. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 15 Nov 2021 14:27:47 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Nov 15 09:27:46 2021
Received: from localhost ([127.0.0.1]:53133 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mmcxW-0001NC-Bn
	for submit <at> debbugs.gnu.org; Mon, 15 Nov 2021 09:27:46 -0500
Received: from lists.gnu.org ([209.51.188.17]:47522)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <pukkamustard@HIDDEN>) id 1mmcxQ-0001Mz-Q2
 for submit <at> debbugs.gnu.org; Mon, 15 Nov 2021 09:27:41 -0500
Received: from eggs.gnu.org ([209.51.188.92]:48128)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <pukkamustard@HIDDEN>)
 id 1mmcxP-0005n0-J0
 for guix-patches@HIDDEN; Mon, 15 Nov 2021 09:27:40 -0500
Received: from mout02.posteo.de ([185.67.36.66]:45435)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <pukkamustard@HIDDEN>)
 id 1mmcxM-00040W-DP
 for guix-patches@HIDDEN; Mon, 15 Nov 2021 09:27:39 -0500
Received: from submission (posteo.de [89.146.220.130]) 
 by mout02.posteo.de (Postfix) with ESMTPS id C4815240101
 for <guix-patches@HIDDEN>; Mon, 15 Nov 2021 15:27:31 +0100 (CET)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=posteo.net; s=2017;
 t=1636986451; bh=AQHd7djq1IlIOPLPExydnGIpyDuxjnzF3nlf4ID9NtE=;
 h=From:To:Cc:Subject:Date:From;
 b=dkanBugdOBKr42IHCs8XKxARHHWfVn0hPqZgiR44D0unx1We0Ll/NQ+8FO7seZbey
 lIHdPHfJC3KJgVJJWSg8n4cIO47fAi+WWAyjSuiupg+dQjGtI+m8gBOCMkBtHM6rpx
 s6VIYBNGc3pOiyls38WPhEA2dGSFSSBQSM9NPzYF4CkS+b1k/k6V6K+xhNIHPvhjm4
 DncqU8NLzItiEt5kXeBwJV7AoWLAjzoob1b4SwX/CySsTpvR2DUxxjV/7bHf/MYdnp
 TASzmK7ClrjksfkR3GM1WNBf3u5HdqbeFoVRg+zWU9yXTr0kJoqNr7oVTeh5nCCSSQ
 EY6sKK2Z9gFXA==
Received: from customer (localhost [127.0.0.1])
 by submission (posteo.de) with ESMTPSA id 4HtBNd6KGHz6tqg;
 Mon, 15 Nov 2021 15:27:29 +0100 (CET)
References: <20211102065917.082a2e55@HIDDEN>
From: pukkamustard <pukkamustard@HIDDEN>
To: raingloom <raingloom@HIDDEN>
Subject: Re: [bug#51565] PATCH: Update Yggdrasil to new protocol (important
 breaking changes)
Date: Mon, 15 Nov 2021 14:10:46 +0000
In-reply-to: <20211102065917.082a2e55@HIDDEN>
Message-ID: <86wnl9lcj3.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
Received-SPF: pass client-ip=185.67.36.66;
 envelope-from=pukkamustard@HIDDEN; helo=mout02.posteo.de
X-Spam_score_int: -43
X-Spam_score: -4.4
X-Spam_bar: ----
X-Spam_report: (-4.4 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1,
 RCVD_IN_DNSWL_MED=-2.3, RCVD_IN_MSPIKE_H2=-0.001, SPF_HELO_NONE=0.001,
 SPF_PASS=-0.001 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.3 (-)
X-Debbugs-Envelope-To: submit
Cc: 51565 <at> debbugs.gnu.org, guix-patches@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)


Thanks for this!

Some minor changes may be needed to make the linter happy:

raingloom <raingloom@HIDDEN> writes:

[..]

> [3. text/x-patch; 0002-gnu-Add-go-github-com-rivo-uniseg.patch]...

Linter complains that a line is too long:

gnu/packages/golang.scm:8885:0: go-github-com-rivo-uniseg@HIDDEN: line 8885 is way too long (93 characters)

>
> [4. text/x-patch; 0003-gnu-Add-go-github-com-mattn-go-runewidth.patch]...

Linter complains about the synopsis. Maybe: "Go functions for getting
fixed width of characters or strings"?

Does seem like a bit of a duplication of the description...

> [5. text/x-patch; 0004-gnu-go-github-com-cheggaaa-pb-Update-to-3.0.8.patch]...
>
> [6. text/x-patch; 0005-gnu-Rename-go-github-com-cheggaaa-pb-to-go-github-co.patch]...
>
> [7. text/x-patch; 0006-gnu-Add-go-github-com-arceliar-ironwood.patch]...

Lines in descriptions are too long and should be wrapped.

A synopsis is required. Maybe: "Ironwood is a Go network routing library
using cryptographic keys as addresses"?




Information forwarded to guix-patches@HIDDEN:
bug#51565; Package guix-patches. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 2 Nov 2021 06:59:36 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Nov 02 02:59:36 2021
Received: from localhost ([127.0.0.1]:36628 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mhnlf-0005Jx-5j
	for submit <at> debbugs.gnu.org; Tue, 02 Nov 2021 02:59:36 -0400
Received: from lists.gnu.org ([209.51.188.17]:50944)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <raingloom@HIDDEN>) id 1mhnla-0005Jl-D8
 for submit <at> debbugs.gnu.org; Tue, 02 Nov 2021 02:59:33 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:36062)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <raingloom@HIDDEN>)
 id 1mhnla-0001ea-5N
 for guix-patches@HIDDEN; Tue, 02 Nov 2021 02:59:30 -0400
Received: from mx1.riseup.net ([198.252.153.129]:36842)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <raingloom@HIDDEN>)
 id 1mhnlV-0004rK-T1
 for guix-patches@HIDDEN; Tue, 02 Nov 2021 02:59:29 -0400
Received: from fews1.riseup.net (fews1-pn.riseup.net [10.0.1.83])
 (using TLSv1.3 with cipher TLS_AES_256_GCM_SHA384 (256/256 bits)
 key-exchange X25519 server-signature RSA-PSS (2048 bits) server-digest SHA256
 client-signature RSA-PSS (2048 bits) client-digest SHA256)
 (Client CN "mail.riseup.net", Issuer "R3" (not verified))
 by mx1.riseup.net (Postfix) with ESMTPS id 4Hk13Z3TGKzDyTq
 for <guix-patches@HIDDEN>; Mon,  1 Nov 2021 23:59:22 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=riseup.net; s=squak;
 t=1635836362; bh=/4AhoChfEdH0VSTfMkRCHuUNR3aNSyz25JZfnsWTCU8=;
 h=Date:From:To:Subject:From;
 b=CU45tVKm75tDxUQ6Jz9OVCdrKqkvlW4H0yLMTx0luZdydwPv4ZzanZc9loQEDMfVJ
 hrjDaDZpcP05NJFD523AFGxCmfUg/anrtKr+6WcsyP5ntUF9Z2vYPjbaMNeY/2/2FX
 4yGWYwR9v3DLmtu70W7G6b9QhybpDsLcSuGtSkyo=
X-Riseup-User-ID: A9D76A513137455B2C5118E02B4B4DE5B12F7D3768EB9285832695B2104B9499
Received: from [127.0.0.1] (localhost [127.0.0.1])
 by fews1.riseup.net (Postfix) with ESMTPSA id 4Hk13Y5ygdz5vkM
 for <guix-patches@HIDDEN>; Mon,  1 Nov 2021 23:59:21 -0700 (PDT)
Date: Tue, 2 Nov 2021 06:59:17 +0000
From: raingloom <raingloom@HIDDEN>
To: Guix Patches <guix-patches@HIDDEN>
Subject: PATCH: Update Yggdrasil to new protocol (important breaking changes)
Message-ID: <20211102065917.082a2e55@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/mixed; boundary="MP_/Mwgd=YQEFhPSp4Hm1=H0W2a"
Received-SPF: pass client-ip=198.252.153.129;
 envelope-from=raingloom@HIDDEN; helo=mx1.riseup.net
X-Spam_score_int: -27
X-Spam_score: -2.8
X-Spam_bar: --
X-Spam_report: (-2.8 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1,
 RCVD_IN_DNSWL_LOW=-0.7, RCVD_IN_MSPIKE_H3=0.001, RCVD_IN_MSPIKE_WL=0.001,
 SPF_HELO_PASS=-0.001, SPF_PASS=-0.001 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.4 (-)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.4 (--)

--MP_/Mwgd=YQEFhPSp4Hm1=H0W2a
Content-Type: text/plain; charset=US-ASCII
Content-Transfer-Encoding: 7bit
Content-Disposition: inline

This is way overdue.

Credit for the packaging work:
https://github.com/bqv/rc/blob/live/rc/packages/yggdrasil.scm

It did need some more work though. The Go importer leaves a few things
to be desired, but that's for another thread.

Anyways, I tested it and it works. System service could be restarted
after a reconfigure without any issues.

Please apply this soon, because nodes running the outdated versions
can't connect to ones running this new version, due to breaking
protocol changes.

--MP_/Mwgd=YQEFhPSp4Hm1=H0W2a
Content-Type: text/x-patch
Content-Transfer-Encoding: 7bit
Content-Disposition: attachment;
 filename=0001-gnu-Add-go-github-com-vividcortex-ewma.patch

From 8150cb42022a91764223f52b991c512ba310ffaf Mon Sep 17 00:00:00 2001
From: raingloom <raingloom@HIDDEN>
Date: Tue, 2 Nov 2021 06:36:37 +0000
Subject: [PATCH 1/7] gnu: Add go-github-com-vividcortex-ewma.

* gnu/packages/golang.scm (go-github-com-vividcortex-ewma): New variable.
---
 gnu/packages/golang.scm | 21 +++++++++++++++++++++
 1 file changed, 21 insertions(+)

diff --git a/gnu/packages/golang.scm b/gnu/packages/golang.scm
index cc2a4ebc16..84e7387408 100644
--- a/gnu/packages/golang.scm
+++ b/gnu/packages/golang.scm
@@ -8839,3 +8839,24 @@ (define-public go-gopkg-in-djherbis-times-v1
     (description
      "Provides a platform-independent way to get atime, mtime, ctime and btime for files.")
     (license license:expat)))
+
+(define-public go-github-com-vividcortex-ewma
+  (package
+    (name "go-github-com-vividcortex-ewma")
+    (version "1.2.0")
+    (source
+      (origin
+        (method git-fetch)
+        (uri (git-reference
+               (url "https://github.com/VividCortex/ewma")
+               (commit (string-append "v" version))))
+        (file-name (git-file-name name version))
+        (sha256
+          (base32 "0whx516l9nm4n41spagb605ry7kfnz1qha96mcshnfjlahhnnylq"))))
+    (build-system go-build-system)
+    (arguments '(#:import-path "github.com/VividCortex/ewma"))
+    (home-page "https://github.com/VividCortex/ewma")
+    (synopsis "EWMA")
+    (description
+      "Package ewma implements exponentially weighted moving averages.")
+    (license license:expat)))
-- 
2.33.1


--MP_/Mwgd=YQEFhPSp4Hm1=H0W2a
Content-Type: text/x-patch
Content-Transfer-Encoding: 7bit
Content-Disposition: attachment;
 filename=0002-gnu-Add-go-github-com-rivo-uniseg.patch

From 7e220e450fa368a44584047b586800ce212efd8e Mon Sep 17 00:00:00 2001
From: raingloom <raingloom@HIDDEN>
Date: Tue, 2 Nov 2021 06:37:11 +0000
Subject: [PATCH 2/7] gnu: Add go-github-com-rivo-uniseg.

* gnu/packages/golang.scm (go-github-com-rivo-uniseg): New variable.
---
 gnu/packages/golang.scm | 23 +++++++++++++++++++++++
 1 file changed, 23 insertions(+)

diff --git a/gnu/packages/golang.scm b/gnu/packages/golang.scm
index 84e7387408..90ba03b0b9 100644
--- a/gnu/packages/golang.scm
+++ b/gnu/packages/golang.scm
@@ -8860,3 +8860,26 @@ (define-public go-github-com-vividcortex-ewma
     (description
       "Package ewma implements exponentially weighted moving averages.")
     (license license:expat)))
+
+(define-public go-github-com-rivo-uniseg
+  (package
+    (name "go-github-com-rivo-uniseg")
+    (version "0.2.0")
+    (source
+      (origin
+        (method git-fetch)
+        (uri (git-reference
+               (url "https://github.com/rivo/uniseg")
+               (commit (string-append "v" version))))
+        (file-name (git-file-name name version))
+        (sha256
+          (base32 "0j7h22vfmjj562vr8gpsyrkrwp1pq9ayh5fylv24skxb467g9f0q"))))
+    (build-system go-build-system)
+    (arguments '(#:import-path "github.com/rivo/uniseg"))
+    (home-page "https://github.com/rivo/uniseg")
+    (synopsis "Unicode Text Segmentation for Go")
+    (description
+      "Package uniseg implements Unicode Text Segmentation according to Unicode
+Standard Annex #29 (@url{http://unicode.org/reports/tr29/,http://unicode.org/reports/tr29/}).
+")
+    (license license:expat)))
-- 
2.33.1


--MP_/Mwgd=YQEFhPSp4Hm1=H0W2a
Content-Type: text/x-patch
Content-Transfer-Encoding: 7bit
Content-Disposition: attachment;
 filename=0003-gnu-Add-go-github-com-mattn-go-runewidth.patch

From 819ee93b9775dc3cd50b8289d10ae6e16233a13e Mon Sep 17 00:00:00 2001
From: raingloom <raingloom@HIDDEN>
Date: Tue, 2 Nov 2021 06:37:17 +0000
Subject: [PATCH 3/7] gnu: Add go-github-com-mattn-go-runewidth.

* gnu/packages/golang.scm (go-github-com-mattn-go-runewidth): New variable.
---
 gnu/packages/golang.scm | 23 +++++++++++++++++++++++
 1 file changed, 23 insertions(+)

diff --git a/gnu/packages/golang.scm b/gnu/packages/golang.scm
index 90ba03b0b9..34ca28998b 100644
--- a/gnu/packages/golang.scm
+++ b/gnu/packages/golang.scm
@@ -8883,3 +8883,26 @@ (define-public go-github-com-rivo-uniseg
 Standard Annex #29 (@url{http://unicode.org/reports/tr29/,http://unicode.org/reports/tr29/}).
 ")
     (license license:expat)))
+
+(define-public go-github-com-mattn-go-runewidth
+  (package
+    (name "go-github-com-mattn-go-runewidth")
+    (version "0.0.13")
+    (source
+      (origin
+        (method git-fetch)
+        (uri (git-reference
+               (url "https://github.com/mattn/go-runewidth")
+               (commit (string-append "v" version))))
+        (file-name (git-file-name name version))
+        (sha256
+          (base32 "1yir0f3wc5z5hnkwhvx5qb6nmpfb05zp2gvfjvna63s8kmla1rrn"))))
+    (build-system go-build-system)
+    (arguments '(#:import-path "github.com/mattn/go-runewidth"))
+    (propagated-inputs
+      `(("go-github-com-rivo-uniseg" ,go-github-com-rivo-uniseg)))
+    (home-page "https://github.com/mattn/go-runewidth")
+    (synopsis "go-runewidth")
+    (description
+      "This package provides functions to get fixed width of the character or string.")
+    (license license:expat)))
-- 
2.33.1


--MP_/Mwgd=YQEFhPSp4Hm1=H0W2a
Content-Type: text/x-patch
Content-Transfer-Encoding: 7bit
Content-Disposition: attachment;
 filename=0004-gnu-go-github-com-cheggaaa-pb-Update-to-3.0.8.patch

From b5e0bab1e54c472a3c8cbfd0c78023f022ec9ceb Mon Sep 17 00:00:00 2001
From: raingloom <raingloom@HIDDEN>
Date: Tue, 2 Nov 2021 06:45:47 +0000
Subject: [PATCH 4/7] gnu: go-github-com-cheggaaa-pb: Update to 3.0.8.

* gnu/packages/golang.scm (go-github-com-cheggaaa-pb): Update to 3.0.8.
---
 gnu/packages/golang.scm | 22 ++++++++++++----------
 1 file changed, 12 insertions(+), 10 deletions(-)

diff --git a/gnu/packages/golang.scm b/gnu/packages/golang.scm
index 34ca28998b..93085f6477 100644
--- a/gnu/packages/golang.scm
+++ b/gnu/packages/golang.scm
@@ -7948,7 +7948,7 @@ (define-public go-github-com-arceliar-phony
 (define-public go-github-com-cheggaaa-pb
   (package
     (name "go-github-com-cheggaaa-pb")
-    (version "3.0.4")
+    (version "3.0.8")
     (source
       (origin
        (method git-fetch)
@@ -7957,18 +7957,20 @@ (define-public go-github-com-cheggaaa-pb
              (commit (string-append "v" version))))
        (file-name (git-file-name name version))
        (sha256
-        (base32
-         "0xhsv9yf3fz918ay6w0d87jnb3hk9vxvi16jk172kqq26x7jixd0"))))
+        (base32 "0d701s2niy39r650d1phjw19h4l27b1yfc2ih6s31f56b3zzqspx"))))
     (build-system go-build-system)
-    (arguments
-     '(#:import-path "github.com/cheggaaa/pb/"))
+    (arguments '(#:import-path "github.com/cheggaaa/pb/v3"
+                 ;; XXX: it does have tests but I'm not sure how to run them.
+                 ;; go-build-system is looking in the wrong directory.
+                 #:tests? #f))
     (propagated-inputs
-     `(("go-github-com-fatih-color" ,go-github-com-fatih-color)
+     `(("go-golang-org-x-sys" ,go-golang-org-x-sys)
+       ("go-github-com-rivo-uniseg" ,go-github-com-rivo-uniseg)
+       ("go-github-com-mattn-go-runewidth" ,go-github-com-mattn-go-runewidth)
+       ("go-github-com-mattn-go-isatty" ,go-github-com-mattn-go-isatty)
        ("go-github-com-mattn-go-colorable" ,go-github-com-mattn-go-colorable)
-       ("go-github.com-mattn-go-runewidth" ,go-github.com-mattn-go-runewidth)
-       ("go-golang-org-x-sys" ,go-golang-org-x-sys)))
-    (native-inputs
-     `(("go-github-com-mattn-go-isatty" ,go-github-com-mattn-go-isatty)))
+       ("go-github-com-fatih-color" ,go-github-com-fatih-color)
+       ("go-github-com-vividcortex-ewma" ,go-github-com-vividcortex-ewma)))
     (home-page "https://github.com/cheggaaa/pb/")
     (synopsis "Console progress bar for Go")
     (description "This package is a Go library that draws progress bars on
-- 
2.33.1


--MP_/Mwgd=YQEFhPSp4Hm1=H0W2a
Content-Type: text/x-patch
Content-Transfer-Encoding: 7bit
Content-Disposition: attachment;
 filename=0005-gnu-Rename-go-github-com-cheggaaa-pb-to-go-github-co.patch

From b3cc4ba59737a0729f4d962d614ea256771998c2 Mon Sep 17 00:00:00 2001
From: raingloom <raingloom@HIDDEN>
Date: Tue, 2 Nov 2021 06:46:57 +0000
Subject: [PATCH 5/7] gnu: Rename go-github-com-cheggaaa-pb to
 go-github-com-cheggaaa-pb-v3.

* gnu/packages/golang.scm:
  (go-github-com-cheggaaa-pb): Rename variable.
  (go-github-com-cheggaaa-pb-v3): New variable.
---
 gnu/packages/golang.scm | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/gnu/packages/golang.scm b/gnu/packages/golang.scm
index 93085f6477..2ce5dc0d4d 100644
--- a/gnu/packages/golang.scm
+++ b/gnu/packages/golang.scm
@@ -7945,9 +7945,9 @@ (define-public go-github-com-arceliar-phony
 inspired by the causal messaging system in the Pony programming language.")
       (license license:expat))))
 
-(define-public go-github-com-cheggaaa-pb
+(define-public go-github-com-cheggaaa-pb-v3
   (package
-    (name "go-github-com-cheggaaa-pb")
+    (name "go-github-com-cheggaaa-pb-v3")
     (version "3.0.8")
     (source
       (origin
-- 
2.33.1


--MP_/Mwgd=YQEFhPSp4Hm1=H0W2a
Content-Type: text/x-patch
Content-Transfer-Encoding: 7bit
Content-Disposition: attachment;
 filename=0006-gnu-Add-go-github-com-arceliar-ironwood.patch

From 84fe7cb50744c103ad7b922ab69f7c5232ffdad3 Mon Sep 17 00:00:00 2001
From: raingloom <raingloom@HIDDEN>
Date: Tue, 2 Nov 2021 06:50:36 +0000
Subject: [PATCH 6/7] gnu: Add go-github-com-arceliar-ironwood.

* gnu/packages/golang.scm (go-github-com-arceliar-ironwood): New variable.
---
 gnu/packages/golang.scm | 34 ++++++++++++++++++++++++++++++++++
 1 file changed, 34 insertions(+)

diff --git a/gnu/packages/golang.scm b/gnu/packages/golang.scm
index 2ce5dc0d4d..c9f6de878e 100644
--- a/gnu/packages/golang.scm
+++ b/gnu/packages/golang.scm
@@ -8908,3 +8908,37 @@ (define-public go-github-com-mattn-go-runewidth
     (description
       "This package provides functions to get fixed width of the character or string.")
     (license license:expat)))
+
+(define-public go-github-com-arceliar-ironwood
+  (package
+    (name "go-github-com-arceliar-ironwood")
+    (version "0.0.0-20210912013146-c2bc55bb349c")
+    (source
+      (origin
+        (method git-fetch)
+        (uri (git-reference
+               (url "https://github.com/Arceliar/ironwood")
+               (commit (go-version->git-ref version))))
+        (file-name (git-file-name name version))
+        (sha256
+          (base32
+            "1dfkqnkfxwlwcsk8g9r1pv84lfzgn8r1vam13zlmk81cgan2r6fx"))))
+    (build-system go-build-system)
+    (arguments
+      '(#:import-path "github.com/Arceliar/ironwood"
+        #:tests? #f
+        #:phases
+        (modify-phases %standard-phases
+          ;; Source-only package
+          (delete 'build))))
+    (propagated-inputs
+      `(("go-golang-org-x-crypto"
+         ,go-golang-org-x-crypto)
+        ("go-github-com-arceliar-phony"
+         ,go-github-com-arceliar-phony)))
+    (home-page
+      "https://github.com/Arceliar/ironwood")
+    (synopsis "Ironwood")
+    (description
+      "Ironwood is a routing library with a @code{net.PacketConn}-compatible interface using @code{ed25519.PublicKey}s as addresses.  Basically, you use it when you want to communicate with some other nodes in a network, but you can't guarantee that you can directly connect to every node in that network.  It was written to test improvements to / replace the routing logic in @url{https://github.com/yggdrasil-network/yggdrasil-go,Yggdrasil}, but it may be useful for other network applications.")
+    (license license:mpl2.0)))
-- 
2.33.1


--MP_/Mwgd=YQEFhPSp4Hm1=H0W2a
Content-Type: text/x-patch
Content-Transfer-Encoding: 7bit
Content-Disposition: attachment;
 filename=0007-gnu-yggdrasil-Update-to-0.4.0.patch

From 73c240e5bb2310a1c66978a0f1b08fc5450b7b3c Mon Sep 17 00:00:00 2001
From: raingloom <raingloom@HIDDEN>
Date: Tue, 2 Nov 2021 06:51:10 +0000
Subject: [PATCH 7/7] gnu: yggdrasil: Update to 0.4.0.

* gnu/packages/patches/yggdrasil-extra-config.patch: Update patch.
* gnu/packages/networking.scm (yggdrasil): Update to 0.4.0.
[propagated-inputs]: Remove go-github-com-cheggaaa-pb; add go-golang-org-x-sys,
go-github-com-mattn-go-runewidth, go-github-com-mattn-go-isatty,
go-github-com-fatih-color, go-github-com-cheggaaa-pb-v3,
go-github-com-vividcortex-ewma, and go-github-com-arceliar-ironwood.
---
 gnu/packages/networking.scm                   | 55 +++++++++++++------
 .../patches/yggdrasil-extra-config.patch      | 53 ++++++++++--------
 2 files changed, 69 insertions(+), 39 deletions(-)

diff --git a/gnu/packages/networking.scm b/gnu/packages/networking.scm
index 8ac3b0095e..d1a437e177 100644
--- a/gnu/packages/networking.scm
+++ b/gnu/packages/networking.scm
@@ -4086,7 +4086,7 @@ (define-public nbd
 (define-public yggdrasil
   (package
     (name "yggdrasil")
-    (version "0.3.16")
+    (version "0.4.0")
     (source
      (origin
        (method git-fetch)
@@ -4097,7 +4097,7 @@ (define-public yggdrasil
          (recursive? #t)))
        (file-name (git-file-name name version))
        (sha256
-        (base32 "0vyd7a333hwn6j1lv1g9sicw74a4qk982bsi3cfdhjlv6hsjwmil"))
+        (base32 "0mmqw6w5a6ph49xd1yzb7i70xg466k9pi5sdvplhb66x68wipixh"))
        (patches (search-patches "yggdrasil-extra-config.patch"))))
     (build-system go-build-system)
     (arguments
@@ -4114,7 +4114,7 @@ (define-public yggdrasil
                           "go" "build" "-v" "-ldflags=-s -w"
                           (string-append
                            "github.com/yggdrasil-network/yggdrasil-go/cmd/" c)))
-                       (list "yggdrasil" "yggdrasilctl"))
+                       (list "yggdrasil" "yggdrasilctl" "genkeys"))
                       #t))
                   (replace 'install
                     (lambda* (#:key outputs #:allow-other-keys)
@@ -4125,7 +4125,7 @@ (define-public yggdrasil
                         (for-each
                          (lambda (f)
                            (install-file f bin))
-                         (list "yggdrasil" "yggdrasilctl"))
+                         (list "yggdrasil" "yggdrasilctl" "genkeys"))
                         (mkdir-p doc)
                         (copy-recursively
                          (string-append
@@ -4135,20 +4135,43 @@ (define-public yggdrasil
                       #t)))))
     ;; https://github.com/kardianos/minwinsvc is windows only
     (propagated-inputs
-     `(("go-github-com-arceliar-phony" ,go-github-com-arceliar-phony)
-       ("go-github-com-cheggaaa-pb" ,go-github-com-cheggaaa-pb)
-       ("go-github-com-gologme-log" ,go-github-com-gologme-log)
-       ("go-github-com-hashicorp-go-syslog" ,go-github-com-hashicorp-go-syslog)
-       ("go-github-com-hjson-hjson-go" ,go-github-com-hjson-hjson-go)
-       ("go-github-com-kardianos-minwinsvc" ,go-github-com-kardianos-minwinsvc)
+     `(;;("go-golang-zx2c4-com-wireguard-windows"
+       ;; ,go-golang-zx2c4-com-wireguard-windows)
+       ("go-golang-zx2c4-com-wireguard"
+        ,go-golang-zx2c4-com-wireguard)
+       ("go-golang-org-x-text" ,go-golang-org-x-text)
+       ("go-golang-org-x-sys" ,go-golang-org-x-sys)
+       ("go-golang-org-x-net" ,go-golang-org-x-net)
+       ("go-golang-org-x-crypto"
+        ,go-golang-org-x-crypto)
+       ("go-netns"
+        ,go-netns)
+       ("go-netlink"
+        ,go-netlink)
        ("go-github-com-mitchellh-mapstructure"
         ,go-github-com-mitchellh-mapstructure)
-       ("go-golang-org-x-crypto" ,go-golang-org-x-crypto)
-       ("go-golang-org-x-net" ,go-golang-org-x-net)
-       ("go-golang-org-x-text" ,go-golang-org-x-text)
-       ("go-golang-zx2c4-com-wireguard" ,go-golang-zx2c4-com-wireguard)
-       ("go-netlink" ,go-netlink)
-       ("go-netns" ,go-netns)))
+       ("go-github-com-mattn-go-runewidth"
+        ,go-github-com-mattn-go-runewidth)
+       ("go-github-com-mattn-go-isatty"
+        ,go-github-com-mattn-go-isatty)
+       ("go-github-com-kardianos-minwinsvc"
+        ,go-github-com-kardianos-minwinsvc)
+       ("go-github-com-hjson-hjson-go"
+        ,go-github-com-hjson-hjson-go)
+       ("go-github-com-hashicorp-go-syslog"
+        ,go-github-com-hashicorp-go-syslog)
+       ("go-github-com-gologme-log"
+        ,go-github-com-gologme-log)
+       ("go-github-com-fatih-color"
+        ,go-github-com-fatih-color)
+       ("go-github-com-cheggaaa-pb-v3"
+        ,go-github-com-cheggaaa-pb-v3)
+       ("go-github-com-vividcortex-ewma"
+        ,go-github-com-vividcortex-ewma)
+       ("go-github-com-arceliar-phony"
+        ,go-github-com-arceliar-phony)
+       ("go-github-com-arceliar-ironwood"
+        ,go-github-com-arceliar-ironwood)))
     (home-page "https://yggdrasil-network.github.io/blog.html")
     (synopsis
      "Experiment in scalable routing as an encrypted IPv6 overlay network")
diff --git a/gnu/packages/patches/yggdrasil-extra-config.patch b/gnu/packages/patches/yggdrasil-extra-config.patch
index c21ca29a84..46fd3f15fc 100644
--- a/gnu/packages/patches/yggdrasil-extra-config.patch
+++ b/gnu/packages/patches/yggdrasil-extra-config.patch
@@ -3,25 +3,25 @@ index 813e950..08d35cc 100644
 --- a/cmd/yggdrasil/main.go
 +++ b/cmd/yggdrasil/main.go
 @@ -40,11 +40,12 @@ type node struct {
- 	admin     module.Module // admin.AdminSocket
+ 	admin     *admin.AdminSocket
  }
  
--func readConfig(useconf *bool, useconffile *string, normaliseconf *bool) *config.NodeConfig {
-+func readConfig(useconf *bool, useconffile *string, extraconffile *string, normaliseconf *bool) *config.NodeConfig {
+-func readConfig(log *log.Logger, useconf bool, useconffile string, normaliseconf bool) *config.NodeConfig {
++func readConfig(log *log.Logger, useconf bool, useconffile string, extraconffile string, normaliseconf bool) *config.NodeConfig {
  	// Use a configuration file. If -useconf, the configuration will be read
  	// from stdin. If -useconffile, the configuration will be read from the
  	// filesystem.
  	var conf []byte
 +	var extraconf []byte
  	var err error
- 	if *useconffile != "" {
+ 	if useconffile != "" {
  		// Read the file from the filesystem
 @@ -56,6 +57,21 @@ func readConfig(useconf *bool, useconffile *string, normaliseconf *bool) *config
  	if err != nil {
  		panic(err)
  	}
-+	if *extraconffile != "" {
-+		extraconf, err = ioutil.ReadFile(*extraconffile);
++	if extraconffile != "" {
++		extraconf, err = ioutil.ReadFile(extraconffile);
 +	}
 +	if err != nil {
 +		panic(err)
@@ -30,7 +30,7 @@ index 813e950..08d35cc 100644
 +	// then parse the configuration we loaded above on top of it. The effect
 +	// of this is that any configuration item that is missing from the provided
 +	// configuration will use a sane default.
-+	cfg := config.GenerateConfig()
++	cfg := defaults.GenerateConfig()
 +	var confs [2][]byte
 +	confs[0]=conf
 +	confs[1]=extraconf
@@ -38,7 +38,7 @@ index 813e950..08d35cc 100644
  	// If there's a byte order mark - which Windows 10 is now incredibly fond of
  	// throwing everywhere when it's converting things into UTF-16 for the hell
  	// of it - remove it and decode back down into UTF-8. This is necessary
-@@ -69,11 +85,6 @@ func readConfig(useconf *bool, useconffile *string, normaliseconf *bool) *config
+@@ -69,11 +85,6 @@ func readConfig(log *log.Logger, useconf bool, useconffile string, normaliseconf bool) *config
  			panic(err)
  		}
  	}
@@ -46,11 +46,11 @@ index 813e950..08d35cc 100644
 -	// then parse the configuration we loaded above on top of it. The effect
 -	// of this is that any configuration item that is missing from the provided
 -	// configuration will use a sane default.
--	cfg := config.GenerateConfig()
+-	cfg := defaults.GenerateConfig()
  	var dat map[string]interface{}
  	if err := hjson.Unmarshal(conf, &dat); err != nil {
  		panic(err)
-@@ -112,6 +123,7 @@ func readConfig(useconf *bool, useconffile *string, normaliseconf *bool) *config
+@@ -112,6 +123,7 @@ func readConfig(log *log.Logger, useconf *bool, useconffile *string, normaliseconf *bool) *config
  	if err = mapstructure.Decode(dat, &cfg); err != nil {
  		panic(err)
  	}
@@ -58,6 +58,14 @@ index 813e950..08d35cc 100644
  	return cfg
  }
  
+@@ -185,6 +197,7 @@ func main() {
+ 	genconf       bool
+ 	useconf       bool
+ 	useconffile   string
++	extraconffile string
+ 	normaliseconf bool
+ 	confjson      bool
+ 	autoconf      bool
 @@ -164,6 +176,7 @@ func main() {
  	genconf := flag.Bool("genconf", false, "print a new config to stdout")
  	useconf := flag.Bool("useconf", false, "read HJSON/JSON config from stdin")
@@ -66,21 +74,20 @@ index 813e950..08d35cc 100644
  	normaliseconf := flag.Bool("normaliseconf", false, "use in combination with either -useconf or -useconffile, outputs your configuration normalised")
  	confjson := flag.Bool("json", false, "print configuration from -genconf or -normaliseconf as JSON instead of HJSON")
  	autoconf := flag.Bool("autoconf", false, "automatic mode (dynamic IP, peer with IPv6 neighbors)")
+@@ -212,6 +225,7 @@ func main() {
+ 		genconf:       *genconf,
+ 		useconf:       *useconf,
+ 		useconffile:   *useconffile,
++		extraconffile: *extraconffile,
+ 		normaliseconf: *normaliseconf,
+ 		confjson:      *confjson,
+ 		autoconf:      *autoconf,
 @@ -187,7 +200,7 @@ func main() {
- 		cfg = config.GenerateConfig()
- 	case *useconffile != "" || *useconf:
+ 		cfg = defaults.GenerateConfig()
+ 	case args.useconffile != "" || args.useconf:
  		// Read the configuration from either stdin or from the filesystem
--		cfg = readConfig(useconf, useconffile, normaliseconf)
-+		cfg = readConfig(useconf, useconffile, extraconffile, normaliseconf)
+-		cfg = readConfig(logger, args.useconf, args.useconffile, args.normaliseconf)
++		cfg = readConfig(logger, args.useconf, args.useconffile, args.extraconffile, args.normaliseconf)
  		// If the -normaliseconf option was specified then remarshal the above
  		// configuration and print it back to stdout. This lets the user update
  		// their configuration file with newly mapped names (like above) or to
-@@ -332,7 +345,7 @@ func main() {
- 			goto exit
- 		case _ = <-r:
- 			if *useconffile != "" {
--				cfg = readConfig(useconf, useconffile, normaliseconf)
-+				cfg = readConfig(useconf, useconffile, extraconffile, normaliseconf)
- 				logger.Infoln("Reloading configuration from", *useconffile)
- 				n.core.UpdateConfig(cfg)
- 				n.tuntap.UpdateConfig(cfg)
-- 
2.33.1


--MP_/Mwgd=YQEFhPSp4Hm1=H0W2a--




Acknowledgement sent to raingloom <raingloom@HIDDEN>:
New bug report received and forwarded. Copy sent to guix-patches@HIDDEN. Full text available.
Report forwarded to guix-patches@HIDDEN:
bug#51565; Package guix-patches. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Thu, 2 Dec 2021 09:30:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.